app_angular.register.controller('categoryCtrl',function($scope,$ionicHistory,$rootScope,$http,$location,$routeParams,$timeout,httpLoading,$ionicScrollDelegate,$state){
    $rootScope.currency = app.tips.currency; //货币符号
    var $s = $scope;
        $s.m = {};
    var m = $s.m;
    
    $s.back=function(){
        $ionicHistory.goBack(-1);
    };

    m.products_copy=angular.copy(m.products);
    $s.moreDataCanBeLoaded=function(){
        if($scope.params.pages>=m.page_total){
            return false;
        }
        else{
            return true;
        }
    };
    m.price='price_high';
// -------------------------------------------------------------------------------------------------------
  $scope.goGoods = function (list) {
        $location.path('/product').search({goods_id: list.goods_id,product_id:list.product_id});
    };
    if (!sessionStorage.getItem('addCartNum')) {
        $scope.addCartNum = 0;
    }
    $scope.addCart = function(item, event) {
        var member_id   = localStorage.getItem("member_id");
        if(!member_id){
            app.toast('请先登录');
            location="#/login";
        }else{
            var cart_message = {
                'goods_id':item.goods_id,
                'product_id':item.products.product_id,
                'num':1,
                'member_id':member_id
            };
            httpLoading.interFace(app.interface_url, "add_product_to_cart", cart_message).then(function(interface_data) {
                var data = app.filter_interface(interface_data);
                if (data.status == "succ") {
                    httpLoading.interFace(app.interface_url, "get_cart_init").then(function(interface_data) {
                        var data = app.filter_interface(interface_data);
                        if (data.status == "succ") {
                            $rootScope.cart_nums = data.response.cart_total || app.get_fn_cart_total(data.response.object.goods);
                            //接口不返回自己算
                            sessionStorage.setItem("cart_nums", $rootScope.cart_nums);
                        }
                    }, function(error) {});
                    $s.buy_close();
                    event.stopPropagation();

                    var offset = $(".page_list .icon-gouwuche").offset();
                    var flyer = $('<div style="width: 1.5rem;height: 1.5rem;border-radius: 50%;background: #2595df;z-index: 100;"></div>'); //抛物体对象
                    flyer.fly({
                        start: {
                            left: event.pageX,//抛物体起点横坐标
                            top: event.pageY //抛物体起点纵坐标
                        },
                        end: {
                            left: offset.left + 10,//抛物体终点横坐标
                            top: offset.top + 10, //抛物体终点纵坐标
                        },
                        onEnd: function() {
                            this.destroy(); //销毁抛物体
                        }
                    });
                    $rootScope.addCartNum = $scope.addCartNum = $scope.addCartNum+1;
                    sessionStorage.setItem('addCartNum', $rootScope.addCartNum);
                   
                } else {
                    app.jump_border.hide("confirm_buy");
                    app.toast(data.message);
                }
            }, function(error) {});
        }    };

    $scope.buy_close = function() {
        m.animate = false;
        $timeout(function() {
            m.buy = false;
        }, 250);
    };
    $scope.touchMove= function(event){
        event.preventDefault();
        event.stopPropagation();
    };
    $scope.get_products = function(){
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                m.products = data.response.goods_list;
                m.page_total = data.response.pager_total;
                // $scope.show_search = data.response.show_search;
                // $scope.brand    = data.response.screen.brand;
                // $scope.cat      = data.response.screen.cat;
                // $scope.tags     = data.response.screen.tags;
            }else{
                app.toast(data.message);
            }
        },function(error){}); 
    };
    //  缓存处理 
    // $scope.set_cache = function(){
    //     app.set_cache("category_products",$scope.products);
    //     app.set_cache("category_params",$scope.params);
    //     app.set_cache("category_order_type",$scope.order_type);
    //     app.set_cache("category_scrollTop",document.body.scrollTop);
    //     app.set_cache("category_show_search",$scope.show_search);
    // };
    // $scope.get_cache = function(){
    //     $scope.products     = app.get_cache("category_products");
    //     $scope.params       = app.get_cache("category_params");
    //     $scope.order_type   = app.get_cache("category_order_type");
    //     // $scope.show_search  = app.get_cache("category_show_search");
    //     setTimeout(function(){
    //         document.body.scrollTop = app.get_cache('category_scrollTop');
    //         app.set_cache("category_scrollTop",0);
    //     },500);
    // };
    $scope.init = function(){
        $scope.initPage     = true; //初始化页面时
        $scope.page         = $location.search().page         ? $location.search().page:1;
        $scope.number       = $location.search().number       ? $location.search().number:10;
        $scope.cat_id       = $location.search().cat_id       ? $location.search().cat_id : null;
        $scope.search_key   = $location.search().search_key   ? $location.search().search_key : null;
        $scope.params={
            "pages"         : $scope.page,
            "number"        : $scope.number,
            "p_order"       : $scope.order, 
            "cat_id"        : $scope.cat_id, 
            "search_key"    : $scope.search_key
        };
        $scope.get_products();      
    };
    $scope.$on('$locationChangeStart',function(event,next,current){ //准备离开页面
        // $scope.set_cache();
    });    
    //  缓存处理结束

    $scope.pageClass    = "category";
    app.loadcss(app.css.cate_css+app.version);
    $scope.pic_ctx      = app.pic_ctx;
    $scope.ctx          = app.ctx;
    $scope.order_type   = "default";
    $scope.fixed_number = app.fixed_number;
    $scope.type         = $location.search().type?$location.search().type:"category";
    
    $scope.is_history_back = app.is_history_back();
    if($scope.is_history_back){  //是缓存
        $scope.init(); //$scope.get_cache();
    }else{
        $scope.init();
    }
    $scope.go_search = function(){
        location="#/search";
    };
    $scope.returnTop=function() {
         document.body.scrollTop = 0;
    };
   
    $scope.goscroll     = false;
    $scope.goscrollview = true;
    $scope.loadMore = function(){
        $scope.params.pages++;
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                if(data.response.goods_list != void 0){
                    m.products = m.products.concat(data.response.goods_list);
                    m.page_total=data.response.pager_total;
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                }
            }
        },function(error){});
    };
    $scope.go_filter = function(){
        app.jump_border.hide('filter');
        $scope.params = $.extend($scope.params,{
            "cat_id"        : $scope.cat_id,
            "carxingming"   : $scope.car_xingming,
            "caryear_id"    : $scope.caryear_id,
            "carseries_id"  : $scope.carseries_id,
            "carbrand_id"   : $scope.carbrand_id                
        });        
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.products = data.response.goods_list;
                $scope.show_search = data.response.show_search;
                $scope.brand    = data.response.screen.brand;
                $scope.cat      = data.response.screen.cat;
                $scope.tags     = data.response.screen.tags.goods;
            }else{
                $scope.products = [];
                app.toast(data.message);
            }
        },function(error){});         
    };
    $scope.go_filter2 = function(){
        app.jump_border.hide('filter2');
        $scope.params = $.extend($scope.params,{
            "cat_id"        : $scope.sele_cat_id,
            "brand_id"      : $scope.sele_brand_id,
            "tag_id"        : $scope.sele_tag_id            
        });
        httpLoading.interFace(app.interface_url,'get_goods_gallery',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.products = data.response.goods_list;
                $scope.show_search = data.response.show_search;
                $scope.brand    = data.response.screen.brand;
                $scope.cat      = data.response.screen.cat;
                $scope.tags     = data.response.screen.tags;
            }else{
                $scope.products = [];
                app.toast(data.message);
            }
        },function(error){});         
    };

    $scope.sele_type = function(type){
        $scope.params.pages=1;
        if(type == "default"){
            $scope.order_type = "default";
            $scope.params.p_order="uptime DESC";
            $scope.get_products();
        }else if(type == "sales_volume"){
            $scope.order_type = "sales_volume";
            $scope.params.p_order="buy_w_count DESC";
            $scope.get_products();
        }else if (type == "price_high") {
            $scope.order_type = "price_high";
            m.price = "price_low";
            $scope.params.p_order = "price DESC";
            $scope.get_products();
        }else if (type == "price_low") {
            $scope.order_type = "price_low";
            m.price = "price_high";
            $scope.params.p_order = "price ASC";
            $scope.get_products();
        }else if(type == "filter"){
            $scope.order_type = "filter";
            $scope.get_car_brand();
        }
        // $scope.returnTop();
    };


    $scope.jump_border_show = function(id){
        app.jump_border.show(id);
    };
    $scope.jump_border_hide = function(id){
        app.jump_border.hide(id);
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
        // $scope.get_products()
        $(window).scroll(function(){
            var scrollTop = $(window).scrollTop();
            if(scrollTop > 100){
                $("#top_cate").show();
            }else{
                $("#top_cate").hide();
            }
        });
    };  
});