app_angular.register.controller('forget_phoneCtrl',function($scope,$rootScope,$http,$location,httpLoading,$state){
    $scope.pageClass="forget_phone";
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.mobile="";

    $scope.send_v_code=function(){
        if($scope.m.username  == null){
            app.toast(app.tips.reg_mobile_null);
            return false;
        }
        $rootScope.mobile_phone = $scope.m.username;
        httpLoading.interFace(app.interface_url,'lost_send_vcode',{mobile_phone:$scope.m.username}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.toast(data.message);
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };

    $scope.change_pwd = function(){
        if($scope.m.vcode == null){
            app.toast(app.tips.check_sms_code);
         }else{
            var obj = {
                mobile    : $scope.m.username,
                vcode     : $scope.m.vcode,
            };
            httpLoading.interFace(app.interface_url,'lost_verify_vcode',obj).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("member_id",data.response.member_id);
                    sessionStorage.setItem("accesstoken",data.response.accesstoken);
                    location="#/reset_password";
                }else{
                    app.toast(data.message);
                }
            },function(error){});
       }
    };


    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };   
});