app_angular.register.controller('my_cash_couponCtrl',function($scope,$rootScope,$location,httpLoading,$state){
    $scope.pageId = 2;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    app.loadcss(app.css.my_cash_coupon_css+app.version);
    $scope.member_id = localStorage.getItem("member_id");
    $scope.page = 1;
    $scope.pagelimit = 100;
    $scope.status = "yes";  
    $scope.sele_status = function(status){
        $scope.status = status;
        var params = {
            "page"      : $scope.page,
            "pagelimit" : $scope.pagelimit,
            "status"    : $scope.status
        };
        httpLoading.interFace(app.interface_url,'get_member_cash_coupons',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                if($scope.status == 'yes'){
                    $scope.new_tie = data.response.new_tie;
                }else{
                    $scope.new_tie = {};
                    $scope.new_tie = data.response.new_gq;
                }
                $scope.coupons_empty = false;
            }else{
                $scope.coupons = [];
                $scope.coupons_empty = true;
            }
        },function(error){});
    };
   
    $scope.sele_status('yes');
    $scope.toggleMenu = function(index){
        for(var i in $scope.new_tie){
            if(i == index){
                $scope.new_tie[index].show = ($scope.new_tie[index].show == 'show') ? '':'show';
            }else{
                $scope.new_tie[i].show = '';
            }
        }
    };

    $scope.addCart = function(item) {
        var member_id   = localStorage.getItem("member_id");
        if(!member_id){
            app.toast('请先登录');
            location="#/login";
        }else{
            var cart_message = {
                'goods_id':item.goods_id,
                'product_id':item.product_id,
                'num':1,
                'member_id':member_id,
                'type':'dzj'
            };

            httpLoading.interFace(app.interface_url, "add_product_to_cart", cart_message).then(function(interface_data) {
                var data = app.filter_interface(interface_data);
                if (data.status == "succ") {
                    httpLoading.interFace(app.interface_url, "get_cart_init").then(function(interface_data) {
                        var data = app.filter_interface(interface_data);
                        if (data.status == "succ") {
                            $rootScope.cart_nums = data.response.cart_total || app.get_fn_cart_total(data.response.object.goods);
                            //接口不返回自己算
                            sessionStorage.setItem("cart_nums", $rootScope.cart_nums);
                            // location="#/cart";
                        }
                    }, function(error) {});
                    $rootScope.addCartNum = $scope.addCartNum = $scope.addCartNum+1;
                    sessionStorage.setItem('addCartNum', $rootScope.addCartNum);
                    location="#/cart";
                } else {
                    app.toast(data.message);
                }
            }, function(error) {});
        }    };

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});