app_angular.register.controller('my_collectionCtrl',function($scope,$rootScope,$location,httpLoading,$state){
// -------------------------------------------------------------------------------------------------------------------------------------------
    var $s=$scope;
    $s.m={};
    var m=$s.m;
    $scope.pageId = 2;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.member_id = localStorage.getItem("member_id");
    var params={"member_id":$scope.member_id,"page":1,"limit":10};
    $scope.fixed_number = app.fixed_number;

    httpLoading.interFace(app.interface_url,'get_fav_list',params).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.collections = data.response.goods;
        }else{
            app.toast(data.message);
        }  
    },function(error){});

    $scope.clear_collect = function() {
        app.confirm("确认清空收藏吗？", {
            cancel:function() {
                return false;
            },
            confirm:function() {
                httpLoading.interFace(app.interface_url, "del_fav", {
                    remove_all:"true"
                }).then(function(interface_data) {
                    var data = app.filter_interface(interface_data);
                    if (data.status == "succ") {
                        $scope.collections = [];
                    } else {
                        app.toast(data.message);
                    }
                }, function(error) {});
            }
        });
    };
    $scope.add_cart=function(currentTarget){
        var product_id = $(currentTarget).data("product-id");
        var goods_id = $(currentTarget).data("goods-id");
        location="#/product?product_id="+product_id+"&goods_id="+goods_id;
    };
    $scope.del_collect=function(index){
        var self = this;
        app.confirm("确认删除收藏吗？", {
            cancel:function() {
                return false;
            },
            confirm:function(){
                var product_id = self.collection.product_id;
                var goods_id = self.collection.goods_id;
                httpLoading.interFace(app.interface_url,'del_fav',{"product_id":product_id,"goods_id":goods_id}).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        for(var i in $scope.collections){
                            if($scope.collections[i].product_id == product_id){
                                $scope.collections.splice(i,1);
                            } 
                        }
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});          
            }
        });
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
    $s.load();
});