app_angular.register.controller('pay_orderCtrl',function($scope,$routeParams,$rootScope,$location,httpLoading,$state){   
    $scope.pageId = 5;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.order_id = app.isNull($location.search().order_id) ? 0 : $location.search().order_id;
    $scope.isPayShow = false;
    httpLoading.interFace(app.interface_url,'get_member_order_details',{order_id:$scope.order_id,member_id:localStorage.getItem("member_id")}).then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.pay_order = data.response;
            $scope.pay_order.consignee.area = app.filter_area($scope.pay_order.consignee.area);
            if($scope.pay_order.pay_status == 0){
                $scope.pay_app_id = $scope.pay_order.payinfo.pay_app_id;
                httpLoading.interFace(app.interface_url,'get_checkout_payments').then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        $scope.payment_list = data.response;
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});   
            }
        }else{
            app.toast(data.message);
        }
    },function(error){});
    //app支付宝支付
    $scope.goalipay=function(target){
        var parms = {
            order_id:target.order_id,
            pay_app_id:target.payinfo.pay_app_id,
            order_tid:target.order_tid?target.order_tid:'0',

        };
    httpLoading.interFace(app.interface_url,'pay_now',parms).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                var pay_info = data.response;
// 第二步：调用支付插件            
cordova.plugins.alipay.payment(pay_info,function success(e){
                    if (e.resultStatus == "9000") {
                        location="#/order_detail?orders_id="+$scope.order_id;
                    }
},function error(e){});

 //e.resultStatus  状态代码  e.result  本次操作返回的结果数据 e.memo 提示信息
 //e.resultStatus  9000  订单支付成功 ;8000 正在处理中  调用function success
 //e.resultStatus  4000  订单支付失败 ;6001  用户中途取消 ;6002 网络连接出错  调用function error
 //当e.resultStatus为9000时，请去服务端验证支付结果
            /**
             * 同步返回的结果必须放置到服务端进行验证（验证的规则请看https://doc.open.alipay.com/doc2/
             * detail.htm?spm=0.0.0.0.xdvAU6&treeId=59&articleId=103665&
             * docType=1) 建议商户依赖异步通知
             */
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    //app微信支付
    $scope.gowechat = function(target) {
        var parms = {
            order_id:target.order_id,
            pay_app_id:target.payinfo.pay_app_id,
            order_tid:target.order_tid?target.order_tid:'0',
        };
    httpLoading.interFace(app.interface_url,'pay_now',parms).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if (data.status == "succ") {
                var pay_info = data.response;
            var params = {
                //商户号
                partnerid: pay_info.partnerid, // merchant id
                //预支付交易会话ID
                prepayid: pay_info.prepayid, // prepay id
                //随机字符串
                noncestr: pay_info.noncestr, // nonce
                //时间戳
                timestamp: pay_info.timestamp, // timestamp
                //签名
                sign: pay_info.sign, // signed string
                //Sign=WXPay
                package: pay_info.package,
                //appid
                appid: pay_info.appid,
            };
            Wechat.sendPaymentRequest(params, function () {
                // alert("Success");
                //支付成功
                location="#/order_detail?orders_id="+$scope.order_id;
            }, function (reason) {
                alert("Failed: " + reason);
                //支付失败
            });


            } else {
                app.toast(data.message);
            }
        }, function(error) {});
    };
    $scope.goOffline = function(target){
        var pay_brief = $(target).data("pay-brief");
        var payment_name = $(target).data("payment-name");
        $scope.pay_app_id = "offline";
        $scope.pay_order.payinfo.pay_name = payment_name;
        app.alert(pay_brief);

    };
    $scope.chgPaytype = function(type){
        if (type == "wxpayapp") {
            $scope.pay_order.payinfo.pay_app_id = 'wxpayapp';
        } else if(type == "malipayapp"){
            $scope.pay_order.payinfo.pay_app_id = 'malipayapp';
        }else if(type == "wxpayjsapi"){
            $scope.pay_order.payinfo.pay_app_id = 'wxpayjsapi';
        } else {
            $scope.pay_order.payinfo.pay_app_id = 'deposit';
        }
    };
    $scope.tag = 'A';
    $scope.payNow = function(target){
        if($scope.tag == 'B'){
            app.toast('请勿多次点击');return;
        }
        $scope.tag = 'B';
        var parms = {
            order_id:target.order_id,
            pay_app_id:target.payinfo.pay_app_id,
            order_tid:target.order_tid?target.order_tid:'0',

        };
        var pay_app_id = target.payinfo.pay_app_id;

        if(pay_app_id == "malipayapp"){
            $scope.tag = 'A';
            $scope.goalipay(target);
        }else if(pay_app_id == "wxpayapp"){
            $scope.tag = 'A';
            $scope.gowechat(target);
        }else{
            httpLoading.interFace(app.interface_url,'pay_now',parms).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    $scope.tag = 'A';
                    location="#/finish_order?order_id="+data.response.order_id+"&total="+data.response.amount;
                }else{
                     $scope.tag = 'A';
                    app.toast(data.message);
                }
            },function(error){});
        }
    };

    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
    $scope.load();
});