var Dialog = function (b, i, boxHeight) { //boxHeight 弹出框高度
    var m = $(window).width(), f = $(window).height(), d = $(document.body).height(), c = this;
    this.options = {url: b, type: "window", method: "get", data: "", height: "auto", title: "&nbsp;"};
    this.dialogEle = $('<div class="dialog"></div>');
    this.contentEle = $('<div class="dialog-content"></div>');
    this.scrollFunc = function(e){
        e.preventDefault();
        e.stopPropagation();
    };
    this.close = function () {
        !/http/.test(c.options.url) && 1 == $(c.options.url)[0].nodeType && $(c.options.url).appendTo(c.hide);
        c.dialogEle.hide();
        c.mask.hide();
    };
    this.open = function() {
        c.mask.show();
        c.dialogEle.show();
    };
    this.style = function () {
        var b = window.scrollY, d = (f - c.dialogEle.height()) /
            2, d = 20 > d ? 20 : d + b;
        "auto" != c.options.height && c.contentEle.css({height: c.options.height, "overflow-y": "auto"});
        if(boxHeight != null && boxHeight != false && typeof boxHeight === 'number' ){
            c.dialogEle.css({width: m - 60, position: "fixed", left: 30, top:(f/2-boxHeight/2)+"px", "z-index": 65535});
        }else{ //弹出框底对齐
            c.dialogEle.css({width: m, position: "fixed", left:0, bottom:"0", "z-index": 65535});
        }
    };

    i && (c.options = $.extend({}, c.options, i));
    $(c.options.url).eq(0).css("display", "block"), $(c.options.url).appendTo(c.contentEle);

    (function(){
        if ($("#J_mask").length > 0) {
            c.mask = $("#J_mask");
            c.hide = $("#J_dialog_hide");
            c.mask.show();
        } else {
            c.mask = $('<div id="J_mask"></div>');
            c.hide = $('<div id="J_dialog_hide" style="display:none"></div>');
            var b = Math.max(f, d);
            c.mask.css({width: m, height: b});
            c.mask.appendTo($(document.body));
            c.hide.appendTo($(document.body));
        }
        c.mask.bind('mousewheel touchmove', function(e){
            c.scrollFunc(e);
        });
        if (c.options.type == "window") {
            c.headEle = $('<div class="dialog-head"></div>');
            c.closeEle = $('<span class="close">&nbsp;</div>');
            c.headEle.html(c.options.title).appendTo(c.dialogEle);
            c.closeEle.appendTo(c.headEle);
            c.closeEle.bind("click", function () {
                c.close();
            });
            c.mask.bind("click",function(e){
                e.preventDefault();
                e.stopPropagation();
                c.close();
            });
        }else{
            c.dialogEle.bind('mousewheel touchmove',function(e){
                c.scrollFunc(e);
            });
        }
        c.contentEle.appendTo(c.dialogEle);
        c.dialogEle.appendTo($("body"));
        c.style();
    })();
};

if (localStorage.getItem("langKey")==null) {
localStorage.setItem("langKey",'cn');
}

lang={
	lang:localStorage.getItem("langKey"),

	en:{
		error_link					: "Please check your network",
		error_api					: "Network connection failure",
		check_mobile				: "Your mobile number is empty or incorrect",
		reg_check_password 			: "Your password should be 6-50 characters long",
		check_sms_code				: "Please enter your Verification code",
		reg_not_equal_pass			: "Two times the password is not the same",
		reg_isread					: "Please confirm the Terms of Users",
		login_username				: "Please enter your mobile number",
		login_username_err 			: "Your mobile number is incorrect",
		login_password				: "Please enter your password",
		addr_username				: "Please enter the username",
		addr_mobile					: "Mobile phone number is empty or incorrect",
		addr_area 					: "Please complete the region information ",
        addr_city                   : "Please complete the region information ",
		addr_addr 					: "Please enter your address",
		addr_store_id 				: "Please select your local store",
        zip                         : "Please enter your zip",
		reg_mobile_null				: "Please enter your mobile number",
		reg_check_repassword		: "Please confirm your password",
		index_max_num 				: "Purchase restriction",
		order_empty					: "No Orders",
		confirm_order_del_coupon 	: "Coupons removed successfully",
		confirm_order_no_addr 		: "Please fill in the receiving address",
		limit_nums 					: "The quantity of product you have ordered exceeds the limitation.",
		my_message_save				: "Your information is saved successfully.",
		my_message_change 			: "Password update successfuly",
		account_balance_1 			: "Your balance is insufficient",
		loading 					: "loading...",
		coupon_suc_msg  			: "Applied successfully",
		product_no_num 				: "Sorry,the goods you selected have been sold out.",
		cart_empty 					: "Your cart is cleared",
		days 						: "days ",
		currency 					: "¥",
        out_store                   : "Out of stock",
        search_for                  : "Please enter the item you want to search for",
        phone                   	: "phone",
        tuijian	                    : "recommend",
        jujia                	    : "Home",
        jiadian                	    : "Home appliance",
        zhineng                	    : "intelligent",
        sign                	    : "Login failed",
        wuliu                	    : "Logistics",
        xitong                	    : "system",
        kefu                	    : "Customer service",
        haoyou                	    : "Friend",
        qingkong                	: "Are you sure you want to empty?",
        quanbu                		: "all",
        shouru                		: "income",
        zhichu                		: "expenditure",
        qingkongshoucang            : "Are you sure you want to empty your collection?",
        delshoucang            		: "Confirm delete the collection?",
        quxiaoshoucang            	: "Confirm cancel the collection?",
        piaotaitou					: "Please fill in the invoice header",
		dianhua						: "Please fill in the contact number",
		dizhi						: "Please enter the address information",
		nasuiren					: "Please fill in the taxpayer identification number",
		kaihuhang					: "Please fill in the bank",
		zhanghao					: "Please fill in the account number",
		deldizhi					: "Are you sure you want to delete the address?",
		tiandizhi					: "Please select or fill in the address",
		peisong						: "Please select a shipping method",
		xieyi						: "Please select the agreement",
		shouhou						: "Please select the after-sales item",
		leixing						: "Please select the type of after sale",
		liyou						: "Please fill in the reason for the application",
		chengong					: "Successful submission after sale",
		fapiao						: "Please select the invoice content",
		xinxi						: "Please select invoice information",
		delfapiao					: "Are you sure you want to delete the invoice?",
		qianbao						: "You have opened the wallet",
		queding						: "Determine the receipt?",
		tijiao						: "Submitted successfully",
		yinhangka					: "Please upload a bank card front photo",
		shouchi						: "Please upload a front photo of the handheld ID card",
		fanmian						: "Please upload the ID card back photo",
		zhengmian					: "Please upload a positive photo of your ID card",
		chongxin					: "Reacquire",
		mima						: "Password at least 6 characters",
		shezhi						: "Set successfully",
		jine						: "Please fill in the amount",
		saomiao						: "Scan failed:",
		quxiao						: "cancel",
		liulanqi					: "Open in a browser",
		tishi						: "prompt",
		dakai						: "There may be a risk, is this link open?",
		queding1					: "sure",
		kong						: "Empty string",


	},
	cn:{
		error_link					: "数据接口错误",
		error_api					: "网络连接错误",
		check_mobile				: "手机号码不正确",
		reg_check_password 			: "密码为空或小于6位",
		check_sms_code				: "手机验证码为空或不正确",
		reg_not_equal_pass			: "两次密码不相等",
		reg_isread					: "请阅读并同意协议",
		login_username				: "请输入您的用户名",
		login_username_err 			: "手机号码不正确",
		login_password				: "请输入您的密码",
		addr_username				: "请输入收货人名字",
		addr_mobile					: "手机号码不正确",
		addr_area 					: "请选择省",
        addr_city                   : "请选择市",
		addr_addr 					: "请输入具体地址",
		addr_store_id 				: "请选择自提地址",
        zip                         : "请输入邮政编码",
		reg_mobile_null				: "请输入你的手机号码",
		reg_check_repassword		: "请输入确认密码",
		index_max_num 				: "本商品最多只能买5个",
		order_empty					: "您还没有相关的订单",
		confirm_order_del_coupon 	: "优惠券删除成功",
		confirm_order_no_addr 		: "请填写收货地址",
		limit_nums 					: "您购买的商品超过限制数量",
		my_message_save				: "你的信息保存成功",
		my_message_change 			: "密码修改成功",
		account_balance_1 			: "您的余额不够",
		loading 					: "数据加载中...",
		coupon_suc_msg  			: "优惠券使用成功",
		product_no_num 				: "这个商品没货了",
		cart_empty 					: "购物车已清空",
		days 					    : "天", 	//倒计时使用
		currency 					: "¥",
        out_store                   : "库存不足",
		pay_password				: "请输入支付密码",
		password				    : "请输入密码",
		re_pay_password				: "请输入确认支付密码",
		pay_password_not            : "请输入想同的支付密码和确认支付密码",
		pay_password_4				: "支付密码小于4位",
		id_card				        : "请输入身份证号",
		real_name				    : "请输入真实姓名",
		mobile				        : "请输入手机号码",
		mobile_code				    : "请输入手机验证码",
		bank_card				    : "请输入银行卡号",
		bank_name				    : "请输入开户行",
		card_no				        : "请输入银行卡号",
		name				        : "请输入姓名",
		search_for				    : "请输入想要搜索的商品",
		phone				   		: "手机",
		tuijian				   		: "推荐",
		jujia					   	: "居家",
		jiadian					   	: "家电",
		zhineng					   	: "智能",
		sign					   	: "登录失败",
		wuliu					   	: "物流",
		xitong					   	: "系统",
		kefu					   	: "客服",
		haoyou					   	: "好友",
		qingkong					: "确认要清空吗？",
		quanbu						: "全部",
		shouru						: "收入",
		zhichu						: "支出",
		qingkongshoucang			: "确认清空收藏吗？",
		delshoucang					: "确认删除收藏吗？",
		quxiaoshoucang				: "确认取消收藏吗？",
		piaotaitou					: "请填写发票抬头",
		dianhua						: "请填写联系电话",
		dizhi						: "请输入地址信息",
		nasuiren					: "请填写纳税人识别号",
		kaihuhang					: "请填写开户银行",
		zhanghao					: "请填写开户账号",
		deldizhi					: "确认要删除地址吗？",
		tiandizhi					: "请选择或填写地址",
		peisong						: "请选择配送方式",
		xieyi						: "请选中协议",
		shouhou						: "请选择售后的商品",
		leixing						: "请选择售后类型",
		liyou						: "请填写申请理由",
		chengong					: "售后提交成功",
		fapiao						: "请选择发票内容",
		xinxi						: "请选择发票信息",
		delfapiao					: "确认要删除发票吗？",
		qianbao						: "您已开通钱包",
		queding						: "确定收货吗？",
		tijiao						: "提交成功",
		yinhangka					: "请上传银行卡正面照",
		shouchi						: "请上传手持身份证正面照",
		fanmian						: "请上传身份证背面照",
		zhengmian					: "请上传身份证正面照",
		chongxin					: "重新获取",
		mima						: "密码至少6位字符",
		shezhi						: "设置成功",
		jine						: "请填写金额",
		saomiao						: "扫描失败: ",
		quxiao						: "取消",
		liulanqi					: "在浏览器中打开",
		tishi						: "提示",
		dakai						: "可能存在风险，是否打开此链接?",
		queding1					: "确定",
		kong						: "空字符串",
		queding2					: "确认取消订单吗？",
		logout                      : "您已经登录"
	},
};
if(typeof app === "undefined"){
	var app={};
}
/* 配置文件 domain 容错处理 */
app.domain_name = (app.domain_name[app.domain_name.length-1] == "/") ? app.domain_name.substring(0,app.domain_name.length-1) : app.domain_name;

var config_iphone4={
    interface_url   :app.domain_name+"/index.php/apic?",
    req_source      :"app",
    root_url        :location.href.split("#")[0],
    fixed_number    :1
};
var config_all={
    get interface_url(){
        return app.domain_name+"/index.php/apic?";
    },
    get req_source(){
        return "app";
    },
    get root_url(){
        return location.href.split("#")[0];
    },
    get fixed_number(){
        return 1;   //小数位数 比如价格等
    }
};
var sys_parameter = {
    REMOTE_URL      : app.domain_name+"/index.php/apic?",
    APP_KEY         : "wolf100000001",
    APP_SERECT      : "I4MoPIPaVCc8M5fnfruLBd",
    FORMAT          : "JSON",
    V               : "2.0",
    process_date    : function(date1){
        var fullyear = date1.getFullYear();
        var month = (date1.getMonth()+1) > 9 ? date1.getMonth()+1 : '0'+(date1.getMonth()+1);
        var day = date1.getDate() > 9 ? date1.getDate() : '0'+date1.getDate();
        var hours = date1.getHours() > 9 ? date1.getHours() : '0'+date1.getHours();
        var seconds = date1.getSeconds() > 9 ? date1.getSeconds() : '0'+date1.getSeconds();
        var minutes = date1.getMinutes() > 9 ? date1.getMinutes() : '0'+date1.getMinutes();
        return fullyear+"-"+month+"-"+day+" "+hours+":"+minutes+":"+seconds;
    },
    TIMESTAMP       : function(){
        var now = new Date();
        return sys_parameter.process_date(now);
    }
};
app = $.extend(app,{
	appVersionCode:null, //appVersionCode
	ctx 	:app.domain_name, //文件根目录
	pic_ctx :app.domain_name, //以后图片cdn时用
	activity_url:{
        //online_event        :"http://127.0.0.1"
    },
    pay_url:{
    	Alipay_event        :app.domain_name+"/?paycenter-order.html",
    	success_url         :app.domain_name+"/?paycenter-result.html"
    },
	css:{
		swiper_min_css		:"css/swiper.min.css",
		cate_css			:"css/category.css",
		login_css			:"css/login.css",
		register_css		:"css/register.css",
		product_css			:"css/product.css",
		cart_css			:"css/cart.css",
		member_css			:"css/member.css",
		forget_css			:"css/forget.css",
		reset_password_css	:"css/reset_password.css",
		orders_css 			:"css/orders.css",
		invoice_css 		:"css/invoice.css",
		address_css 		:"css/address.css",
		my_address_css      :"css/my_address.css",
		my_invoice_css      :"css/my_invoice.css",
		confirmOrder_css	:"css/confirmOrder.css",
		editAddrs_css 		:"css/editAddrs.css",
		my_editAddrs_css    :"css/my_editAddrs.css",
		editInvoice_css 	:"css/editInvoice.css",
		my_editInvoice_css  :"css/my_editInvoice.css",
		coupon_css 			:"css/coupon.css",
		list_css 			:"css/list.css",
		ordersDetail_css	:"css/ordersDetail.css",
		select_region_css	:"css/select_region.css",
		coupon_list_css 	:"css/coupon_list.css",
		all_css				:"css/all.css",
		delivery_css 		:"css/delivery.css",
		account_balance_css :"css/account_balance.css",
		choose_pay_css 		:"css/choose_pay.css",
		cash_coupon_css 	:"css/cash_coupon.css",
		pay_order_css 		:"css/pay_order.css",
		pay_order2_css      :"css/pay_order2.css",
		my_message_css 		:"css/my_message.css",
		app_more_css 		:"css/app_more.css",
		my_cash_coupon_css 	:"css/my_cash_coupon.css",
		update_password_css :"css/update_password.css",
		fail_link_css 		:"css/fail_link.css",
		agree_css 			:"css/agree.css",
		app_all_css			:"css/app_all.css",
		index_css			:"css/index.css",
        search_css          :"css/search.css",
        my_account_css      :"css/my_account.css",
        barrel_css			:"css/barrel.css",
        my_collection_css   :"css/my_collection.css",
        category_css        :"css/category.css",
        choose_way_css      :"css/choose_way.css",
        customer_service_list1_css	:"css/customer_service_list1.css",
        customer_service_list2_css 	:"css/customer_service_list2.css",
        customer_service_css 		:"css/customer_service.css",
        customer_service_list_css	:"css/customer_service_list.css",
        customer_service_order_css	:"css/customer_service_order.css",
		invite_css			:"css/invite.css",
		realname_verify_css	:"css/realname_verify.css",
		set_paypassword_css	:"css/set_paypassword.css",
		logistics_css		:"css/logistics.css",
		newOrder_css        :"css/newOrder.css",
		payOrder_css        :"css/payOrder.css",
		mendOrder_css       :"css/mendOrder.css",
		point_css			:"css/point.css",
		wallet_css			:"css/wallet.css",
		record_css			:"css/record.css",
		wallet_detail_css	:"css/wallet_detail.css",
		open_wallet_css		:"css/open_wallet.css",
		wallet_recharge_css	:"css/wallet_recharge.css",
		other_recharge_css  :"css/other_recharge.css",
		other_recharge_info_css :"css/other_recharge_info.css",
		bankcard_info_css	:"css/bankcard_info.css",
		add_bankcard_css    :"css/add_bankcard.css",
		recharge_user_css	:"css/recharge_user.css",
		recharge_succ_css	:"css/recharge_succ.css",
		withdraw_css		:"css/withdraw.css",
		withdraw_succ_css	:"css/withdraw_succ.css",
		bankcard_list_css	:"css/bankcard_list.css",
		bankcard_detail_css	:"css/bankcard_detail.css",
		payment_manage_css	:"css/payment_manage.css",
		change_pay_password_css	:"css/change_pay_password.css",
		identity_verify_css	:"css/identity_verify.css",
		bankcard_retrieve_css	:"css/bankcard_retrieve.css",
		reset_paypassword_css	:"css/reset_paypassword.css",
		my_team_css			:"css/my_team.css",
		sys_message_css		:"css/sys_message.css",
		sys_message_list		:"css/sys_message_list.css",
		sys_message_detail_css	:"css/sys_message_detail.css",
		sys_help_css		:"css/sys_help.css",
		sys_help_detail_css	:"css/sys_help_detail.css",
		setting_css			:"css/setting.css",
		parent_info_css		:"css/parent_info.css",
		about_us_css		:"css/about_us.css",
		otherLogin_css		:"css/otherLogin.css",
		registerContact_css	:"css/registerContact.css",
		message_css			:"css/message.css",
		talk_css			:"css/talk.css",
		affiliate_css		:"css/affiliate.css",
        firstOpen_css		:"css/firstOpen.css",
        nowPay_css		    :"css/nowPay.css",
        messagelist_css     :"css/messagelist.css",
        messagelistd_css    :"css/messagelistd.css",
        integral_css    	:"css/integral.css",
        integrald_css    	:"css/integrald.css",
        integralSigin_css   :"css/integralSigin.css",
        integralDetail_css  :"css/integralDetail.css",
        goodslimt_css       :"css/goodslimt.css",
        moneyIn_css         :"css/moneyIn.css",
        group_css           : "css/group.css",
        goGroup_css         : "css/goGroup.css",
        paySucc_css         : "css/paySucc.css",
        pushCode_css        : "css/pushCode.css",
		backOrder_css       : "css/backOrder.css",
		moreCou_css         : "css/moreCou.css",
		buywater_css        : "css/buywater.css",
		goodsbuy_css		: "css/goodsbuy.css",
		orderfakui_css		: "css/orderfakui.css",
		orderfakuilist_css	: "css/orderfakuilist.css",
		coupon_pay_css     : "css/coupon_pay.css",
	},
	js:{
		swiper_min_js	: "js/swiper.min.js",
		md5_js 			: "js/jquery_md5.js",
        scorlljs        : "js/iscroll.js"
	},
    get_version:function(version){
        var arr = version.split(".");
        arr[1] = arr[1] > 10 ? Number(arr[1]) : "0"+Number(arr[1]);
        arr[2] = arr[2] > 10 ? Number(arr[2]) : "0"+Number(arr[2]);
        return Number(arr.join(""));
    },
	loadjs:function(url){
		var script = document.createElement("script");
		script.src = url;
		document.getElementsByTagName("head")[0].appendChild(script);
	},
	loadcss:function(url){
		var link = document.createElement("link");
		link.type = "text/css";
		link.rel = "stylesheet";
		link.href = url;
		document.getElementsByTagName("head")[0].appendChild(link);
	},
	isNull:function(data){
		return (data === null || typeof data === "undefined" || data === '') ? true : false;
	},
	getFontSize:function(){
	    var doc = document,win = window,
	        docEl = doc.documentElement,
	        resizeEvt = 'orientationchange' in window ? 'orientationchange' : 'resize',
	        recalc = function () {
	            var clientWidth = docEl.clientWidth;
	            var fontSize;
	            if (!clientWidth) return;
	            fontSize = clientWidth > 320 ? 62.5*clientWidth/320 : 62.5;
	            docEl.style.fontSize = fontSize+"%" ;
	        };
	    if (!doc.addEventListener) return;
	    recalc();
	},
	weixin:{
		params:{},
		get_input_params:function(obj){
			return{
				"appid"				: 	app.weixin_appid,
				"mch_id" 			: 	app.weixin_mch_id, 		//商户号
				"trade_type" 		: 	app.weixin_trade_type,	//交易类型 如：APP
				"attach" 			: 	obj.attach,				//附加数据 上海分店
				"body" 				: 	obj.body,				//商品描述 Ipad mini  16G  白色
				"nonce_str" 		: 	obj.nonce_str,			//随机字符串
				"notify_url" 		: 	obj.notify_url, 		//通知地址
				"out_trade_no" 		:  	obj.out_trade_no,		//商户订单号
				"spbill_create_ip" 	:  	obj.spbill_create_ip,	//终端IP
				"total_fee" 		: 	obj.total_fee			//总金额
			};
		},
		get_stringA:function(){
			app.weixin.params = app.weixin.get_input_params({
				"attach" 			:"上海分店",
				"body" 				:"Ipad mini 16G 白色",
				"nonce_str" 		:Date.now(),
				"notify_url"		:"http://api.gooline.pk",
				"out_trade_no" 		:"K1111233",
				"spbill_create_ip" 	:"101.224.237.243",
				"total_fee" 		:"0.01"
			});
			var arr_key = Object.getOwnPropertyNames(app.weixin.params).sort();
			var stringA = "";
			for(var i=0; i<arr_key.length; i++){
				if(app.weixin.params[arr_key[i]] != void 0){
					stringA += arr_key[i]+"="+app.weixin.params[arr_key[i]]+"&";
				}
			}
			return stringA;
		},
		add_sign:function(){
			var stringA  = app.weixin.get_stringA();
			var stringSignTemp = stringA+"key="+app.weixin_key;
			app.weixin.params.sign = $.md5(stringSignTemp).toUpperCase();
		}
	},
	pull_page_reload:function(){  //下拉刷新页面
		//第一步：下拉过程
	    function slideDownStep1(dist){  // dist 下滑的距离，用以拉长背景模拟拉伸效果
	        var slideDown1 = document.getElementById("slideDown1"),
	            slideDown2 = document.getElementById("slideDown2");
		        slideDown2.style.display = "none";
		        slideDown1.style.display = "block";
		        slideDown1.style.height = (parseInt("5px") - dist) + "px";
	    }
	    //第二步：下拉，然后松开，
	    function slideDownStep2(){
	        var slideDown1 = document.getElementById("slideDown1"),
	            slideDown2 = document.getElementById("slideDown2");
		        slideDown1.style.display = "none";
		        slideDown1.style.height = "5px";
		        slideDown2.style.display = "block";
		        //刷新数据
		        //location.reload();
	    }
	    //第三步：刷新完成，回归之前状态
	    function slideDownStep3(){
	        var slideDown1 = document.getElementById("slideDown1"),
	            slideDown2 = document.getElementById("slideDown2");
		        slideDown1.style.display = "none";
		        slideDown2.style.display = "none";
		        app.toast("刷新成功");
	    }

	    //下滑刷新调用
	    k_touch("content","y");
	 	//contentId表示对其进行事件绑定，way==>x表示水平方向的操作，y表示竖直方向的操作
	    function k_touch(contentId,way){
	        var _start = 0,
	            _end = 0,
	            _content = document.getElementById(contentId);
		        $(_content).on("touchstart",touchStart);
		        $(_content).on("touchmove",touchMove);
		        $(_content).on("touchend",touchEnd);
		    var height = window.screen.height/(window.screen.width/document.documentElement.clientWidth);

	        function touchStart(event){
	            //var touch = event.touches[0]; //这种获取也可以，但已不推荐使用
	            var touch = event.targetTouches[0];
	            if(way == "x"){
	                _start = touch.pageX;
	            }else{
	                _start = touch.pageY;
	            }
	        }
	        function touchMove(event){
	            var touch = event.targetTouches[0];
	            if(way == "x"){
	                _end = (_start - touch.pageX/2);
	            }else{
	                _end = (_start - touch.pageY/2);
	                //下滑才执行操作
	                event.preventDefault(); //这句话作用是其它click事件起作用
	                if(_end < 0){
	                    slideDownStep1(_end);
	                }
	            }
	        }
	        function touchEnd(event){
	            if(_end == 0){ //如果点击事情等
	            	return false;
	            }
	            if(_end > 0){
	                //alert("左滑或上滑  "+_end);
	            }else{
	                //alert("右滑或下滑"+_end);
	                slideDownStep2();
	                //刷新成功则
	                //模拟刷新成功进入第三步  这里应该有一个回调方法
	                setTimeout(function(){
	                    slideDownStep3();
	                },2500);
	            }
	            _end = 0;
	        }
	    }
	},
	isObjectEqual:function(obja,objb){ //判断对象的值是否完全相等
		var aProps = Object.getOwnPropertyNames(obja);
    	var bProps = Object.getOwnPropertyNames(objb);
		if (aProps.length != bProps.length) {
	        return false;
	    }
	    for (var i = 0; i < aProps.length; i++) {
	        var propName = aProps[i];
	        if (obja[propName] !== objb[propName]) {
	            return false;
	        }
    	}
    	return true;
	},
	count_down:function(all_second,dom_obj,txt){  //倒计时
		dom_obj.innerText=all_second+"s"+txt;
		$(dom_obj).addClass("disabled");
		var default_txt = dom_obj.getAttribute("data-default");
		var callee = arguments.callee;
		var all_second = parseInt(all_second)-1;
		if(all_second >= 0){
			setTimeout(function(){
				callee(all_second,dom_obj,txt);
			},1000);
		}else{
			dom_obj.innerText=default_txt;
			$(dom_obj).removeClass("disabled");
		}
	},
	format_date:function(time_distance){   //把时间戳格式化
		var time_total ={};
	    // 天
	    var int_day = Math.floor(time_distance/86400);
	    time_distance -= int_day * 86400;
	    // 时
	    var int_hour = Math.floor(time_distance/3600);
	    time_distance -= int_hour * 3600;
	    // 分
	    var int_minute = Math.floor(time_distance/60);
	    time_distance -= int_minute * 60;
	    // 秒
	    var int_second = Math.round(time_distance);
	    if(int_day < 0){
	    	time_total.day=int_day;
		    time_total.hour="00";
		    time_total.minute="00";
		    time_total.second="00";
		    return time_total;
	    }
	    // 时分秒为单数时、前面加零
	    if(int_day < 10){
	        int_day = "0" + int_day;
	    }
	    if(int_hour < 10){
	        int_hour = "0" + int_hour;
	    }
	    if(int_minute < 10){
	        int_minute = "0" + int_minute;
	    }
	    if(int_second < 10){
	        int_second = "0" + int_second;
	    }
	    time_total.day=int_day;
	    time_total.hour=int_hour;
	    time_total.minute=int_minute;
	    time_total.second=int_second;
	    return time_total;
	},
    currentPageLeftOrRight:function(pageId){
        var temp = "";
        var oldpageId = sessionStorage.getItem("oldpageId");
        if(oldpageId == null){
            sessionStorage.setItem("oldpageId",1);
            temp = "moveLeft";
        }
        if(oldpageId != pageId){
            temp = (oldpageId > pageId) ? "moveRight" : "moveLeft";
            sessionStorage.setItem("oldpageId",pageId);
        }
        return temp;
    },
    oldPageLeftOrRight:function(pageClass){
        var removeClass = (pageClass == "moveRight") ? "moveLeft" : "moveRight";
        $("div[main=main]").removeClass(removeClass).addClass(pageClass);
    },
	jump_border:{
		show:function(div_id,dom_string){//div_id div的名字， dom_string
			var jump_dom = div_id ? document.getElementById(div_id) : document.getElementById("jump_border");
			if(jump_dom === null){
				$jump_dom = $('<div id="jump_border" class="jump_border"><div class="content"></div></div>');
				$("body").append($jump_dom);
				dom_string && $jump_dom.find(".content").append(dom_string);
				var content_per 		= parseFloat($jump_dom.find(".content").height()/$(window).height()*100).toFixed(2);
				var translateY_to 		= parseFloat((100-content_per)/content_per).toFixed(2)*100+"%";
				var translateY_from 	= parseFloat((100-content_per)/content_per+1).toFixed(2)*100+"%";
			    var product_style = document.getElementById("product_style");
			    product_style.innerHTML =
			    		'@-webkit-keyframes slideInTop{'+
			    		    'from {transform:translateY('+translateY_from+'); -o-transform:translateY('+translateY_from+'); -webkit-transform:translateY('+translateY_from+');}'+
	    					'to   {transform:translateY('+translateY_to+'); -o-transform:translateY('+translateY_to+'); -webkit-transform:translateY('+translateY_to+');}'+
			    		'}\n'+
			            '@keyframes slideInTop{'+
			    		    'from {transform:translateY('+translateY_from+'); -o-transform:translateY('+translateY_from+'); -webkit-transform:translateY('+translateY_from+');}'+
	    					'to   {transform:translateY('+translateY_to+'); -o-transform:translateY('+translateY_to+'); -webkit-transform:translateY('+translateY_to+');}'+
			            +'}';
			            $jump_dom.find(".content").addClass("animate");
			}else{
				$jump_dom = $(jump_dom);
				$jump_dom.removeClass("close");
				var content_per 		= parseFloat($jump_dom.find(".content").height()/$(window).height()*100).toFixed(2);
				var translateY_to 		= parseFloat((100-content_per)/content_per).toFixed(2)*100+"%";
				var translateY_from 	= parseFloat((100-content_per)/content_per+1).toFixed(2)*100+"%";
			    var product_style = document.getElementById("product_style");
			    product_style.innerHTML =
			    		'@-webkit-keyframes slideInTop{'+
			    		    'from {transform:translateY('+translateY_from+'); -o-transform:translateY('+translateY_from+'); -webkit-transform:translateY('+translateY_from+');}'+
	    					'to   {transform:translateY('+translateY_to+'); -o-transform:translateY('+translateY_to+'); -webkit-transform:translateY('+translateY_to+');}'+
			    		'}\n'+
			            '@keyframes slideInTop{'+
			    		    'from {transform:translateY('+translateY_from+'); -o-transform:translateY('+translateY_from+'); -webkit-transform:translateY('+translateY_from+');}'+
	    					'to   {transform:translateY('+translateY_to+'); -o-transform:translateY('+translateY_to+'); -webkit-transform:translateY('+translateY_to+');}'+
			            +'}';
			            $jump_dom.find(".content").addClass("animate");

			}
			$jump_dom.off("click","touchmove");
			$jump_dom.on("click",function(e){
				if(e.target === this){
					app.jump_border.hide(div_id);
				}
			});
			$jump_dom.on("touchmove",function(e){
				if($(e.target).closest(".main").length == 0){
					e.preventDefault();
					e.stopPropagation();
				}
			});
		},
		hide:function(div_id){
			var jump_dom = div_id ? document.getElementById(div_id) : document.getElementById("jump_border");
			$(jump_dom).addClass("close");
		}
	},
	save_loading:null, //保存 new loading 的全局变量
	loading:function(html){
        var $loading = null;
        var self = this;
        app.loading.prototype.start = function(){
            $loading = $('<div id="toast close" class="toast"><div class="content">'+html+'</div></div>');
            $("body").append($loading);
            $loading.css({"marginLeft":-($loading.width()/2),"marginTop":-($loading.height()/2) });
        };
        app.loading.prototype.close = function(){
            $loading.remove();
        };
        (function(){
            self.start();
        })();
	},
	get_accesstoken:function(){
		return sessionStorage.getItem("accesstoken");
	},
	get_member_id:function(){
		return localStorage.getItem("member_id");
	},
	set_cache:function(cache_name,cache_value){
		sessionStorage.setItem(cache_name,JSON.stringify(cache_value));
	},
	get_cache:function(cache_name){
		var temp = sessionStorage.getItem(cache_name) ? JSON.parse(sessionStorage.getItem(cache_name)) : null ;
			sessionStorage.removeItem(cache_name);
		return temp;
	},
	set_history_back:function(){
		sessionStorage.setItem("is_history_back","has");
	},
	is_history_back:function(){
		var history_back = sessionStorage.getItem("is_history_back");
		sessionStorage.removeItem("is_history_back");
		return (history_back == void 0) ? false : true;
	},
	get_fn_cart_total:function(obj){   //获得购物车商品总数 接口有问题时用
		var cart_total = 0;
		for(var i in obj){
			cart_total += Number(obj[i].quantity);
		}
		return cart_total;
	},
	filter_interface:function(interface_data){
        if(interface_data != void 0){
        	return interface_data.data;
        }
	},
	filter_area:function(area){
        var arr = area.split(":");
        var result = arr[1].replace(/\//g,"");
        return result;
	},
	get_area_id:function(area){
		var arr = area.split(":");
		return arr[2];
	},
	handle_page_css:function(){
		$("body").removeClass();
		$("html").removeClass();
		if(arguments.length > 0){
			$("html").addClass(arguments[0]);
			$("body").addClass(arguments[0]);
		}
	},

	/*C端开始*/
	pam_passport_login:function(obj){
		return {
			"method"			: 	app.interface.pam_passport_login,
			"uname"				: 	obj.username,
			"password"			: 	obj.password,
		};
	},
	login_logout:function(obj){
		return {
			"method"			: 	app.interface.login_logout,
			"member_id" 		:  	app.get_member_id(),
		};
	},
	lost_send_vcode: function(obj){
		return{
            "method"           	: 	app.interface.lost_send_vcode,
            "mobile_phone"     	:   obj.mobile_phone,
		};
	},
	lost_verify_vcode: function(obj){
		return{
			"method"           	: 	app.interface.lost_verify_vcode,
			"mobile" 			:  	obj.mobile,
			"vcode" 			:   obj.vcode,
		};
	},
	lost_reset_password	: function(obj){
		return{
			"method"           	: 	app.interface.lost_reset_password,
			"member_id" 		:  	app.get_member_id(),
			"lost_token" 		:   app.get_accesstoken(),
			"password" 			: 	obj.password,
		};
	},
	save_member_info:function(obj){
		return {
			"method"			: 	app.interface.save_member_info,
			"member_id" 		: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"nickname"			:   obj.nickname,
			"mobile"			:   obj.mobile,
		};
	},
    get_member_other_info:function(obj){
		return {
			"method"				: 	app.interface.get_member_other_info,
			"member_id"				: 	app.get_member_id(),
			"accesstoken"			:   app.get_accesstoken()
		};
	},
	get_user_phone : function (obj){
		return {
			"method"				: 	app.interface.get_user_phone,
			"member_id"				: 	app.get_member_id(),
			"accesstoken"			:   app.get_accesstoken()
		};
	},
	loguot_pass	: function(obj){
		return {
			"method"				: 	app.interface.loguot_pass,
			"member_id"				: 	app.get_member_id(),
			"accesstoken"			:   app.get_accesstoken(),
			"pass" 					:   obj.password,
			"repass"				:   obj.repassword
		};
	},
    get_fav_list:function(obj){
        return {
            "method"            :   app.interface.get_fav_list,
            "member_id"     	:   app.get_member_id(),
            "req_pages"         : 	obj.page,
            "req_number"        : 	obj.limit,
            "accesstoken"		:   app.get_accesstoken(),
            "p_order" 			: 	obj.p_order,
        };
    },
    del_fav:function(obj){
        return {
            "method"            :   app.interface.del_fav,
            "member_id"     	:   app.get_member_id(),
            "goods_id"    		: 	obj.goods_id,
            "accesstoken"		:   app.get_accesstoken(),
            "product_id" 		: 	obj.product_id,
            "remove_all" 		: 	obj.remove_all
        };
    },
	get_member_addrs:function(obj){
		return {
			"method"			: 	app.interface.get_member_addrs,
			"member_id"			: 	app.get_member_id(),
			"req_order"			: 	obj.orderby,
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	del_member_addr:function(obj){
		return {
			"method"			: 	app.interface.del_member_addr,
			"member_id"   		:   app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"ship_id" 			: 	obj.addr_id
		};
	},
	save_member_addr:function(obj){
		return {
			"method"			: 	app.interface.save_member_addr,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"ship_name"			: 	obj.ship_name,
			"ship_mobile" 		: 	obj.ship_mobile,
			"ship_tel" 			: 	obj.ship_tel,
			"ship_area"			: 	obj.ship_area,
			"ship_road"			:   obj.ship_road,
			"ship_num"			:   obj.ship_num,
			"ship_addr"			:   obj.ship_addr,
			"ship_id"			: 	obj.ship_id,
			"is_default"		: 	obj.is_default, 		//True默, false
			// "ship_zip" 			: 	"000000", 				//obj.ship_zip 写死
			// "ship_zipcode" 		: 	obj.ship_zipcode, 				//obj.ship_zip 写死

		};
	},
	goods_order_go_buy:function(obj){
		return {
			"method"			: 	app.interface.goods_order_go_buy,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"product_id"		: 	obj.product_id,
			"list"				:   obj.list
		};
	},
	get_member_qiandao_chaxun:function(obj){
		return {
			"method"			: 	app.interface.get_member_qiandao_chaxun,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"by"				:   obj.by
		};
	},


	save_member_moren:function(obj){
		return {
			"method"			: 	app.interface.save_member_moren,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"ship_id"			: 	obj.ship_id,
		};
	},
	shouyebanner:function(obj){
		return {
			"method"			: 	app.interface.shouyebanner,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
		};
	},
	get_index_biaoqian:function(obj){
		return {
			"method"			: 	app.interface.get_index_biaoqian,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
		};
	},
	
	get_fapiao:function(obj){
		return {
			"method"			: 	app.interface.get_fapiao,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"type"				:   obj.type
		};
	},


	get_member_article:function(obj){
		return {
			"method"			: 	app.interface.get_member_article,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"article_id"		:   obj.article_id
		};
	},

	get_member_qiandao:function(obj){
		return {
			"method"			: 	app.interface.get_member_qiandao,
			"accesstoken"		: 	app.get_accesstoken(),
			"member_id"			: 	app.get_member_id(),
			"type"				:   obj.type
		};
	},



	get_regions_list:function(obj){
		return {
            "method"           	: 	app.interface.get_regions_list,
            "req_order_id"     	:   obj.order_id,
            "req_payment"	    : 	obj.payment,
            "req_money" 	    :   obj.money,
            "req_currency" 		:   obj.currency
		};
	},
    get_goods_category:function(obj){ //获取商品分类列表
    	return {
            "method"           	:   app.interface.get_goods_category,
            // "cat_id"			:   obj.cat_id,
    	};
    },
	get_goods_gallery:function(obj){ //获得商品列表
		return {
			"method"			: 	app.interface.get_goods_gallery,
			// "tag_id"			: 	obj.tag_id,
			"cat_id" 			: 	obj.cat_id,
			// "brand_id"			: 	obj.brand_id,
			"search_key"		: 	obj.search_key,
			// "carxingming" 		: 	obj.car_type,			//车型
			// "caryear_id" 		: 	obj.caryear_id,			//年份ID
			// "carseries_id" 		: 	obj.carseries_id, 		//车系ID
			// "carbrand_id" 		: 	obj.carbrand_id, 		//车品牌ID
			"p_order"			: 	obj.p_order,    		//	升序asc/降序desc，默认为desc
			"req_pages" 		:   obj.pages,
			"req_number" 		: 	obj.number,
			"is_index" 			: 	obj.is_index, 			//读首页的
		};
	},
    get_goods_category_index:function(obj){
    	return {
            "method"           	:   app.interface.get_goods_category_index,
    	};
    },
    get_combination_coupon:function(obj){
    	return {
            "method"           	:   app.interface.get_combination_coupon,
            "member_id"			: 	app.get_member_id(),
    	};
    },
    add_combination_coupon:function(obj){
    	return {
            "method"           	:   app.interface.add_combination_coupon,
            "member_id"			: 	app.get_member_id(),
            "rule_id"			: 	obj.rule_id,
    	};
    },
    add_fav:function(obj){
        return {
            "method"            :   app.interface.add_fav,
            "member_id"     	:   app.get_member_id(),
            "goods_id"			: 	obj.goods_id,
            "accesstoken"		:   app.get_accesstoken(),
			"product_id" 		: 	obj.product_id,
        };
    },
	get_cart_init:function(obj){
		return {
			"method"			: 	app.interface.get_cart_init,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken()
		};
	},
	update_product_to_cart:function(obj){  //更新到购物车
		return {
			"method"			: 	app.interface.update_cart_data,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"req_source"		: 	app.req_source,
			"goods_id"			: 	obj.goods_id,
			"product_id"		: 	obj.product_id,
			"num" 				: 	obj.num,
			"type"				: 	obj.type
		};
	},

	update_checked:function(obj){  //更新到购物车选择
		return {
			"method"			: 	app.interface.update_cart_checked,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"req_source"		: 	app.req_source,
			"product_id"		: 	obj.product_id,
			"goods_id"			: 	obj.goods_id,
			"check_type"		:   obj.check_type
		};
	},

	update_checked_chooseAll:function(obj){  //全选
			return {
				"method"			: 	app.interface.update_checked_chooseAll,
				"member_id"			: 	app.get_member_id(),
				"accesstoken"		: 	app.get_accesstoken(),
				"req_source"		: 	app.req_source,
				"check_type"		:   obj.check_type
			};
		},


	get_cart_totaldzsp:function(obj){  //更新到购物车水票选择
		return {
			"method"			: 	app.interface.get_cart_totaldzsp,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"req_source"		: 	app.req_source,
			"obj_ident"			: 	obj.obj_ident,
			"check_type"		:   obj.is_checkfalse,
			"is_type"			:   obj.is_type
		};
	},
	del_cart_data:function(obj){	//清空购物车
		return {
			"method"			: 	app.interface.del_cart_data,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
		};
	},
	get_cart_checkout:function(obj){
		return {
			"method"			: 	app.interface.get_cart_checkout,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken(),
			"req_source"        :   app.req_source,
			"shipping_id" 		: 	obj.shipping_id,
			"area" 				: 	obj.area,
			"is_fastbuy"		:   obj.is_fastbuy,
			"ship_id"			:   obj.ship_id,
			"type"				:   obj.type
		};
	},
	get_goods_details:function(obj){
		return {
			"method"			: 	app.interface.get_goods_details,
            "member_id"     	:   app.get_member_id(),
			"product_id"		: 	obj.product_id,
		};
	},
	get_member_order:function(obj){
		return {
			"method"			: 	app.interface.get_member_order,
			"member_id"			: 	app.get_member_id(),
			"order_status" 		: 	obj.status,				//all:全部订单；pay_wait:等待付款；received_wait:等待收货;cancel:订单已取消
			"req_pages"			: 	obj.page,
			"req_number" 		: 	obj.pagelimit,
			"p_order"			: 	obj.orderby,
			"accesstoken"		:   app.get_accesstoken()
		};
	},
	get_member_contact:function(obj){
		return {
			"method"			: 	app.interface.get_member_contact,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken()
		};
	},
	get_cart_is_fastbuy:function(obj){
		return {
			"method"			: 	app.interface.get_cart_is_fastbuy,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken(),
			"req_source"        :   app.req_source,
			"goods_id"			:   obj.goods_id,
			"product_id"		:   obj.product_id,
			"num"				:   obj.num,
			"type"				:   obj.type
		};
	},
	add_product_to_cart:function(obj){  //添加到购物车
		return {
			"method"			: 	app.interface.add_cart_data,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"req_source"		: 	app.req_source,
			"goods_id"			: 	obj.goods_id,
			"product_id"		: 	obj.product_id,
			"num" 				: 	obj.num,
			"type"				:   obj.type
		};
	},
	get_checkout_payments:function(obj){
		return{
			"method"           	: 	app.interface.get_checkout_payments,
			// "sell"				:   obj.sell
		};
	},
	create_cart_order:function(obj){
		return {
			"method"				: 	app.interface.create_cart_order,
			"member_id"				: 	app.get_member_id(),
			"area"					: 	obj.area,
			"addr"					: 	obj.addr,
			"ship_id"				:   obj.ship_id,
			"zip"					: 	"000000",						//zip 写死
			"name"					: 	obj.name,
			"mobile" 				: 	obj.mobile,
			"shipping_id" 			: 	obj.shipping_id,
			"tel" 					: 	obj.tel,
			"day"					: 	obj.day,						//配送日期：任意日期，仅工作日，仅休息日，指定日期
			"special"				: 	obj.special,					//指定配送日期
			"payment_currency"		: 	obj.payment_currency,
			"payment_pay_app_id"	: 	obj.payment_pay_app_id,
			"payment_is_tax" 		: 	obj.payment_is_tax,
			"invoice_id" 			: 	obj.invoice_id,
			// "payment_tax_content"	: 	obj.payment_tax_content, 		//发票内容
			"md5_cart_info" 		: 	obj.md5_cart_info,				//购物车变化情况
			"accesstoken"			:   app.get_accesstoken(),
			"is_fastbuy"			:   obj.is_fastbuy,
			"is_gift_buy"			:   obj.is_gift_buy,
			"is_sorce"				:   obj.is_sorce,
			"is_special"			:   obj.is_special,
			"timedata"				:   obj.timedata,
			"timesh"				:   obj.timesh,
			"use_res"				:	obj.use_res,
			"ship_num"				:  obj.ship_num,
			"ship_road"             :  obj.ship_road,
			"memo"					:  obj.memo
		};
	},
	get_add_coupon:function(obj){
		return {
            "method"           	: 	app.interface.get_add_coupon,
            "member_id"			: 	app.get_member_id(),
            "coupon_id"			:   obj.id,
            "is_fastbuy"		:   obj.is_fastbuy
		};
	},
	get_member_order_details:function(obj){
		return {
			"method"			: 	app.interface.get_member_order_details,
			"member_id" 		: 	app.get_member_id(),
			"order_id"			: 	obj.order_id,
			"accesstoken"		:   app.get_accesstoken()
		};
	},
	get_member_addr:function(obj){
		return {
			"method"			: 	app.interface.get_member_addr,
			"member_id"			: 	app.get_member_id(),
			"ship_id"			: 	obj.addr_id,
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	get_index_goods:function(obj){
		return {
            "method"           	: 	app.interface.get_index_goods,
		};
	},
	get_verify_priont:function(obj){
		return {
			"method"			: 	app.interface.get_verify_priont,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	get_verify_jxth:function(obj){
		return {
			"method"			: 	app.interface.get_verify_jxth,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	get_verify_xrzx:function(obj){
		return {
			"method"			: 	app.interface.get_verify_xrzx,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	get_rald_priont:function(obj){
		return {
			"method"			: 	app.interface.get_rald_priont,
			"member_id"			: 	app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"goods_id"			:   obj.goods_id,
			"product_id"		:   obj.product_id
		};
	},
	pay_now : function(obj){
		return{
			"method" 			: 	app.interface.pay_now,
			"member_id" 		:  	app.get_member_id(),
			"pay_app_id" 		: 	obj.pay_app_id, 	//deposit 预存款
			"order_id" 			: 	obj.order_id,
			"order_tid"			:   obj.order_tid
		};
	},
	get_member_cash_coupons:function(obj){
		return {
			"method"			: 	app.interface.get_member_cash_coupons,
			"accesstoken"      	:   app.get_accesstoken(),
			"member_id" 		: 	app.get_member_id(),
			"page"				: 	obj.page,
			"pagelimit"			: 	obj.pagelimit,
			"status" 			: 	obj.status
		};
	},
	get_member_destop:function(obj){
		return {
			"method"			: 	app.interface.get_member_destop,
			"accesstoken"      	:   app.get_accesstoken(),
			"member_id" 		: 	app.get_member_id(),
			"page"				: 	obj.page,
			"pagelimit"			: 	obj.pagelimit,
		};
	},
	cancel_order 	: function(obj){	//订单取消
		return{
			"method" 				: 	app.interface.cancel_order,
			"order_id" 				: 	obj.order_id,
			// "order_cancel_reason"	: 	obj.order_cancel_reason, 	//类型   0不想要了 1支付不成功 2价格较贵 3缺货 4等待时间过长 5拍错了 6订单信息填写错误 7其他
			// "reason_desc"			: 	obj.reason_desc				//原因
		};
	},
	get_cart_total:function(obj){
		return {
            "method"           	: 	app.interface.get_cart_total,
 			"member_id"     	:   app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	goods_order_list:function(obj){ //一建订水
		return {
            "method"           	: 	app.interface.goods_order_list,
 			"member_id"     	:   app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken()
		};
	},
	get_datatime:function(obj){
		return {
            "method"           	: 	app.interface.get_datatime,
 			"member_id"     	:   app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
			"timedata"			:   obj.time,
			"station"			:   obj.station
		};
	},
	get_invoice:function(obj){
		return {
            "method"           	: 	app.interface.get_invoice,
 			"member_id"     	:   app.get_member_id(),
			"accesstoken"		: 	app.get_accesstoken(),
            "type"				:   obj.type,
            "invoice_title"		:   obj.invoice_title,
            "invoice_num"		:   obj.invoice_num,
            "invoice_account"	:   obj.invoice_account,
            "invoice_address"	:   obj.invoice_address,
            "invoice_bank"		:   obj.invoice_bank,
            "invoice_company"	:   obj.invoice_company,
            "invoice_tel"		:   obj.invoice_tel,
            "invoice_meil"		:   obj.invoice_meil,
            "invoice_dizhi"		:   obj.invoice_dizhi
		};
	},
    //限时优惠商品列表
	get_goods_time_limit:function(obj){
        return {
            "method"              :   app.interface.get_goods_time_limit,
            "type_id"			  :   obj,
        };
    },
    // 注册协议
	get_register_contact:function(obj){
        return {
            "method"              :   app.interface.get_register_contact
        };
    },
	get_goods_tacan:function(obj){
		return {
			"method"			: 	app.interface.get_goods_tacan,
			"member_id" 		: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken()
		};
	},
    //充值活动
    get_deposit_list:function(obj){
        return {
            "method"              :   app.interface.get_deposit_list
        };
    },
    get_now_chogzhi:function(obj){
        return {
            "method"              :   app.interface.get_now_chogzhi,
            "member_id"			  :   app.get_member_id(),
            "pay_app_id"		  :   obj.pay_app_id,
            "deposit"		      :   obj.deposit,
            "momey"		          :   obj.momey,
        };
    },
    goods_order_pintuan:function(obj){
        return {
            "method"              :   app.interface.goods_order_pintuan,
            "member_id"			  :   app.get_member_id(),
        };
    },
	get_rald_group:function(obj){
		return {
			"method"			: 	app.interface.get_rald_group,
			"member_id" 		: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken(),
			"product_id"		:   obj.product_id,
			"special_id"		:   obj.special_id,
		};
	},
    // 关于我们
	get_about_us:function(obj){
        return{
            "method"			  :   app.interface.get_about_us,
            "member_id"			  :   app.get_member_id(),
        };
    },
	get_push_info:function(obj){
		return {
            "method"           	: 	app.interface.get_push_info,
 			"member_id"     	:   app.get_member_id(),
		};
	},
    //激活优惠券
    active_coupon_code:function(obj){
        return {
            "method"              :   app.interface.active_coupon_code,
            "code"				  :   obj.code
        };
    },
	get_user_coupon 	: function(){
		return{
			"method" 			: 	app.interface.get_user_coupon,
			"member_id" 		:  	app.get_member_id(),
		};
	},
	get_user_couponcart 	: function(){
		return{
			"method" 			: 	app.interface.get_user_couponcart,
			"member_id" 		:  	app.get_member_id(),
		};
	},
	get_user_rebate 	: function(){
		return{
			"method" 			: 	app.interface.get_user_rebate,
			"member_id" 		:  	app.get_member_id(),
		};
	},
	get_index_catgoods:function(obj){
		return{
            "method"           	:   app.interface.get_index_catgoods,
		};
	},
	create_member_info:function(obj){ 	//用户注册
		return {
			"method"			: 	app.interface.create_member_info,
			"req_source"		:	app.req_source,
			"uname"		: 	obj.mobile_phone,
			"code"				: 	obj.vcode,
			"password"			: 	obj.password,
			"confirm_password"	: 	obj.confirm_password,
		};
	},
    get_article_help:function(obj){
        return{
            "method"           	:   app.interface.get_article_help,
        };
    },
    get_article_help_info:function(obj){
        return{
            "method"           	:   app.interface.get_article_help_info,
			'article_id'		:	obj.article_id
        };
    },
    get_sys_msg:function(obj){
        return{
            "method"           	:   app.interface.get_sys_msg,
            'cat_id'			:	obj.cat_id
        };
    },
    get_sys_detail:function(obj){
        return{
            "method"           	:   app.interface.get_sys_detail,
            'article_id'		:	obj.article_id
        };
    },
	get_member_regions:function(obj){
		return {
			"method"			: 	app.interface.get_member_regions,
			"region_id"     	:   obj.region_id
		};
	},
	get_shipping_list:function(obj){
		return {
			"method"			: 	app.interface.get_shipping_list,
			"member_id" 		: 	app.get_member_id(),
			"accesstoken"		:   app.get_accesstoken(),
			"area_id"			: 	obj.area_id
		};
	},
	sms_send_msg:function(obj){
		return {
            "method"           	: 	app.interface.sms_send_msg,
            "mobile"     		:   obj.mobile_phone,
		};
	},
	get_app_version:function(obj){
		return {
            "method"           	: 	app.interface.get_app_version,
            "req_type"			:   obj.type,
            "req_source" 		:   app.req_source
		};
	},
	change_user_password :function(obj){
		return{
			"method"           	: 	app.interface.change_user_password,
			"member_id" 		:  	app.get_member_id(),
			"accesstoken" 		:   app.get_accesstoken(),
			"username" 			: 	obj.username,
			"password_old" 		: 	obj.password_old,
			"password_new"		: 	obj.password_new,
			"password_repeat"	: 	obj.password_repeat,
		};
	},
	customer_service_order	: function(obj){
		return{
			"method" 			: 	app.interface.customer_service_order,
			"return_id" 		:  	obj.return_id
		};
	},
	user_finish_order : function(obj){
		return{
			"method" 			:  	app.interface.user_finish_order,
			"member_id" 		:  	app.get_member_id(),
			"order_id" 			: 	obj.order_id
		};
	},
	fast_buy : function(obj){
		return{
			"method" 			: 	app.interface.fast_buy,
			"member_id" 		:  	app.get_member_id(),
			"accesstoken" 		:   app.get_accesstoken(),
			"bn"				: 	obj.product_id,
			"num" 				: 	obj.num
		};
	},
    insert_review_order :function(obj){
        return{
            "method" 			:  	app.interface.insert_review_order,
            "member_id" 		:  	app.get_member_id(),
			"order_id"			:	obj.order_id,
			"params"			:	obj.params
        };
	},
	login_log :function(obj){
		return{
			"method" 			:  	app.interface.login_log,
			"member_id" 		:  	app.get_member_id(),
			'status'			:	obj.status,
		};
	},
    delete_cart :function(obj){
        return{
            "method" 			:  	app.interface.delete_cart,
            "member_id" 		:  	app.get_member_id(),
        };
    },
	reset_verify_vcode:function(obj){
		return{
			"method":app.interface.reset_verify_vcode,
			'mobile':obj.mobile,
			'vcode':obj.vcode,
			'new_mobile':obj.new_mobile,
			'new_vcode':obj.new_vcode,
		}
	},
	reset_send_vcode:function(obj){
		return{
			"method":app.interface.reset_send_vcode,
			'mobile': obj.mobile
		}
	},
	change_mobile:function(obj){
		return{
			"method":app.interface.change_mobile,
			'member_id':app.get_member_id(),
			'mobile': obj.mobile
		}
	},
	save_feedback:function(obj){
		return{
			"method":app.interface.save_feedback,
			'member_id':app.get_member_id(),
			'order_id': obj.order_id,
			'feedback_content': obj.feedback_content,
		}
	},
	check_feedback:function(obj){
		return{
			"method":app.interface.check_feedback,
			'member_id':app.get_member_id(),
			'order_id': obj.order_id,
		}
	},
	feedback_list:function(){
		return{
			"method":app.interface.feedback_list,
			'member_id':app.get_member_id(),
		}
	},
	member_evaluate:function(obj){
		return{
			"method":app.interface.member_evaluate,
			'member_id':app.get_member_id(),
			"order_id" : obj.order_id,
			"evaluate_score" : obj.evaluate_score,
			"evaluate_content" :obj.evaluate_content
		}
	},
	feedback_image:function(obj){
		return{
			"method":app.interface.feedback_image,
			'member_id':app.get_member_id(),
			'order_id':obj.order_id
		}
	},
	remote_result:function(data){
        var sys_config = {
            app_key     : sys_parameter.APP_KEY,
            format      : sys_parameter.FORMAT,
            api_version : sys_parameter.V
        };
        sys_config.timestamp = sys_parameter.TIMESTAMP();
        sys_config.app_ios =  'app';
		var u = navigator.userAgent;
	    var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1; //android终端
	    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
	    if(isAndroid){
	    	sys_config.iosOrisAndroid =  'Android';
	    }
	    if(isiOS){
	    	sys_config.iosOrisAndroid =  'isiOS';
	    }
        var request_data = $.extend(sys_config,data);
        app.add_sign(request_data);
    },
    add_sign:function(request_data){
        var sign = app.create_sign(request_data);
        app.post_data = request_data;
        app.post_data.sign = sign;
    },
    create_sign:function(param){
        var sign_basis = 'ANDYJJ' + app.assemble(param) + sys_parameter.APP_SERECT;
        return $.md5(sign_basis).toUpperCase();
    },
    assemble:function(param){
        var joint = '';
        if(typeof param == "object" && Object.getOwnPropertyNames(param).length > 0){
            var arr = Object.getOwnPropertyNames(param);
            var arr1 = arr.sort();
            for(var i in arr1){
            	var val = param[arr1[i]];
                if(val == void 0 || val == ''){
                    continue;
                }
                if(typeof val == "boolean"){
                    val = val ? 1 : 0;
                }
                val = (typeof val == "object" && Object.getOwnPropertyNames(val).length > 0) ? app.assemble(val) : val;
                joint += (arr1[i]+val);
            }
        }
        return joint;
    },
	alert:function(message, options){
	    var yesTxt = options && options.yesTxt !== void 0 ? options.yesTxt : app.tips.queding1;
	    var template = '<div class="J_alert-container confirm-container hide"><div class="confirm"><div class="tit"></div><div class="txt"></div><div class="btn-group"><div class="btn yes">' + yesTxt + '</div></div></div></div>';
	    var container = (!$('.J_alert-container').length) ? $(template).appendTo('body') : $('.J_alert-container');
	    var alertEl = container.find('.confirm').css('opacity', 0);
	    container.removeClass('hide');
	    var title = options && typeof options == 'object' && options.title ? options.title : "";
	    alertEl.find(".tit").text(title);
	    alertEl.find('.txt').html(message);
	    alertEl.css('opacity', 1);
	    alertEl.css({
	        'left' : ($(window).width() - alertEl.width()) / 2,
	        'top' : ($(window).height() - alertEl.height()) / 2
	    });
	    alertEl.off("click");
	    alertEl.on('click', '.yes', function(e) {
	        e.preventDefault();
	        if (options) {
	            if (typeof options == 'function') {
	                options();
	            } else if (options.callback && typeof options.callback == 'function') {
	                options.callback();
	            }
	        }
	        container.addClass('hide');
	    });

	},
	confirm:function(message, options) {
	    var cancelTxt = options && options.cancelTxt !== void 0 ? options.cancelTxt:app.tips.quxiao;
	    var yesTxt = options && options.yesTxt !== void 0 ? options.yesTxt:app.tips.queding1;
	    var template = '<div class="J_confirm-container confirm-container hide"><div class="confirm"><div class="tit"></div><div class="txt"></div><div class="btn-group"><div class="btn cancel">'+cancelTxt+'</div><div class="btn yes">'+yesTxt+'</div></div></div></div>';
	    var container = (!$('.J_confirm-container').length) ? $(template).appendTo('body') : $('.J_confirm-container');
	    var confirmEl = container.find('.confirm').css('opacity', 0);
	    container.removeClass('hide');
	    options && options.title && confirmEl.find(".tit").text(options.title);
	    confirmEl.find('.txt').html(message);
	    confirmEl.css('opacity', 1);
	    confirmEl.css({
	        'left' : ($(window).width() - confirmEl.width()) / 2,
	        'top' : ($(window).height() - confirmEl.height()) / 2
	    });
	    confirmEl.unbind( "click" );
	    confirmEl.on('click', '.yes', function(e) {
	        e.preventDefault();
	        options && typeof options.confirm == 'function' && options.confirm();
	        container.addClass('hide');
	    });
	    confirmEl.on('click', '.cancel', function(e) {
	        e.preventDefault();
	        options && typeof options.cancel == 'function' && options.cancel();
	        container.addClass('hide');
	    });
	},
	toast:function(content){
		var toast = document.getElementById("toast");
		if(toast === null){
			$toast = $('<div id="toast" class="toast"><div class="content"></div></div>');
			$("body").append($toast);
		}else{
			$toast = $(toast);
			$toast.removeClass("close");
		}
		var content_ = content || app.tips.kong;
		$toast.find(".content").html(content_);
		$toast.css({"marginLeft":-($toast.width()/2),"marginTop":-($toast.height()/2) });
		setTimeout(function(){
			$toast.addClass("close");
		},1500);
	},
	forceCloseToast:function(){
		var toast = document.getElementById("toast");
		$(toast).addClass("close");
	},
	interface:{
		/* 图片请求接口
		* 参数说明 图片类型  ca | ad
		* 请求来源		app |
		* 版位
		* 请求数据类型	home | list
		*/

		/*使用优惠券*/
		get_add_coupon			:  "cmapi.order.get_add_coupon",
		/*	用户登陆 */
		pam_passport_login		: "cmapi.member.pam_passport_login",
		login_logout			: "cmapi.member.login_logout",
		/*找回密码1，根据手机号码发送验证码*/
		lost_send_vcode			: "cmapi.member.lost_send_vcode",
		/*找回密码2，提交验证码验证*/
		lost_verify_vcode 		: "cmapi.member.lost_verify_vcode",
		/*找回密码3，提交新密码*/
		lost_reset_password 	: "cmapi.member.lost_reset_password",
		/*更新会员昵称信息*/
		save_member_info 	  	:  "cmapi.member.save_member_info",
		/*会员信息*/
        get_member_other_info   : "cmapi.member.get_member_other_info",
		/*获取手机号*/
        get_user_phone   : "cmapi.member.get_user_phone",
        /*修改密码*/
        loguot_pass		: "cmapi.member.loguot_pass",
        /*获取收藏数据*/
        get_fav_list          	:   "cmapi.member.get_fav_list",
        /*删除收藏数据*/
        del_fav        			:   "cmapi.member.del_fav",
		/*获取会员收货地址列表 */
		get_member_addrs     	:  "cmapi.member.get_addresslist",
        /*删除会员收货地址接口*/
		del_member_addr         : 	"cmapi.member.del_address",
		/*保存会员新建/编辑的收货地址 */
		save_member_addr        : 	"cmapi.member.save_address",
		/*预存款*/
		get_member_destop		:   "cmapi.member.get_member_destop",
		/*一建下单*/
		goods_order_go_buy      :    "cmapi.order.goods_order_go_buy",
		/*点击默认地址*/
		save_member_moren        : 	"cmapi.member.save_member_moren",
		/*首页轮播图*/
		shouyebanner        	 : 	"cmapi.member.shouyebanner",
		/*首页标签图*/
		get_index_biaoqian        	 : 	"cmapi.member.get_index_biaoqian",
		/*发票*/
		get_fapiao        	 : 	"cmapi.member.get_fapiao",
        /*获取地区信息接口*/
        get_regions_list		: 	"cmapi.ectools.get_regions_list",
        /* 获取商品分类接口 */
        get_goods_category    	:    'cmapi.goods.get_goods_category',
		/*获取商品列表*/
		get_goods_gallery 	  	: 	"cmapi.goods.get_goods_gallery",
		/*精选特惠*/
		get_verify_jxth		: "cmapi.goods.get_verify_jxth",
		/*新人专享*/
		get_verify_xrzx		: "cmapi.goods.get_verify_xrzx",
		/*获取首页秒杀商品*/
        get_goods_category_index    :    'cmapi.goods.get_goods_category_index',

		/*获取组合优惠券*/
        get_combination_coupon    :    'cmapi.goods.get_combination_coupon',

		/*添加组合优惠券*/
        add_combination_coupon    :    'cmapi.goods.add_combination_coupon',
        /*添加收藏数据*/
        add_fav        				:   "cmapi.member.save_fav",
		/*	购物车信息接口*/
		get_cart_init			: "cmapi.order.get_cart_init",
		/* 更新购物车接口*/
		update_cart_data 	: 	"cmapi.order.update_cart",
		get_cart_totaldzsp 	: 	"cmapi.order.get_cart_totaldzsp",
		//文章
		get_member_article  :   "cmapi.member.get_member_article",
		// 签到
		get_member_qiandao  :   "cmapi.member.get_member_qiandao",
		get_member_qiandao_chaxun  :   "cmapi.member.get_member_qiandao_chaxun",
        /**
            更新购物车选择
        **/
		update_cart_checked 	: 	"cmapi.order.update_cart_checked",
		update_checked_chooseAll 	: 	"cmapi.order.update_checked_chooseAll",
		/*清空购物车*/
		del_cart_data	 	: 	"cmapi.order.remove_cart",
		/*计算购物车数据接口，订单提交页面初始化接口 */
		get_cart_checkout		: "cmapi.order.get_cart_checkout",
		/*商品详情*/
		get_goods_details 		: "cmapi.goods.get_goods_details",
        /*我的订单*/
        get_member_order   		 :    'cmapi.member.get_member_order',
        /*售后联系电话*/
        get_member_contact		:    'cmapi.member.get_member_contact',

		get_cart_is_fastbuy     : "cmapi.order.get_cart_is_fastbuy",
		/* 添加到购物车接口*/
		add_cart_data	 	: 	"cmapi.order.add_cart",
		/* 获得支付方式列表*/
		get_checkout_payments : 	"cmapi.ectools.get_checkout_payments",
		/*创建订单接口*/
		create_cart_order    	: "cmapi.order.create",
		/*订单详情接口*/
		get_member_order_details   :  "cmapi.member.get_order_info",
		/*获取会员某个收货地址*/
		get_member_addr			:	"cmapi.member.get_address",
		/*首页商品1和2*/
		get_index_goods          :   "cmapi.goods.get_index_goods",
		/*积分兑换电子券*/
		get_verify_priont		: "cmapi.member.get_verify_priont",
		/*积分兑换电子券*/
		get_rald_priont		: "cmapi.member.get_rald_priont",
		/*订单支付接口*/
		pay_now 					: 	"cmapi.payment.create",
		/* 电子水票列表 */
		get_member_cash_coupons 	  : 	"cmapi.member.get_member_cash_coupons",
		/*订单取消*/
		cancel_order 				: 	"cmapi.order.cancel_order",
        /*获取会员购物车商品数量*/
		get_cart_total 				: 	"cmapi.order.get_cart_total",
		/*一键订水*/
		goods_order_list 				: 	"cmapi.order.goods_order_list",
		/*时间*/
		get_datatime		: "cmapi.order.get_datatime",
		/*发票保存*/
		get_invoice			:  "cmapi.member.get_invoice",
        //限时优惠
        get_goods_time_limit 	  : 	"cmapi.goods.get_goods_time_limit",
        //注册协议
        get_register_contact 	  : 	"cmapi.member.get_register_contact",
        /*套餐*/
		get_goods_tacan			: "cmapi.goods.get_goods_tacan",
        /*充值活动*/
		get_deposit_list			: "cmapi.member.get_deposit_list",
        /*充值*/
		get_now_chogzhi			: "cmapi.payment.get_now_chogzhi",
        /*拼团*/
		goods_order_pintuan			: "cmapi.order.goods_order_pintuan",
		/*拼团详情*/
		get_rald_group			: "cmapi.order.get_rald_group",
		/* 获取关于我们 */
        get_about_us		    : 		"cmapi.member.get_about_us",
		/* 我的推广码 */
        get_push_info		    : 		"cmapi.member.get_push_info",
		/* 激活优惠券 */
        active_coupon_code		    : 		"cmapi.member.active_coupon_code",
		/* 获取优惠券 */
        get_user_coupon		    : 		"cmapi.member.get_user_coupon",
		/* 获取优惠券 */
        get_user_couponcart		    : 		"cmapi.member.get_user_couponcart",
		/* 获取返利日志 */
        get_user_rebate		    : 		"cmapi.member.get_user_rebate",
        /* 首页分类商品 */
		get_index_catgoods 	:  "cmapi.goods.get_index_catgoods",
		/*	用户注册 */
		create_member_info		: "cmapi.member.signup",
		/* 获取帮助中心 */
        get_article_help 	:  "cmapi.article.get_article_help",
        /* 获取帮助中心详情 */
        get_article_help_info	: "cmapi.article.get_article_help_info",
		/* 系统公告列表 */
        get_sys_msg				: "cmapi.article.get_sys_msg",
		/* 消息详情 */
        get_sys_detail			: "cmapi.article.get_sys_detail",
		/* 获取地区信息接口 */
		get_member_regions    :    "mapi.ectools.get_regions_list",
		/* 获取配送方式及运费接口 */
		get_shipping_list 	  : 	"cmapi.order.get_delivery_list",
		/*	发送短信接口 */
		sms_send_msg 		  : 	"cmapi.member.send_signup_sms",
		/*  获取app更新版本信息 */
		get_app_version 	  : 	"get_app_version",
		/*会员修改密码*/
		change_user_password 		: 	"cmapi.member.change_password",
		/*售后信息详情*/
		customer_service_order 		: 	"cmapi.tools.afterrec_info",
		/*确认收货*/
		user_finish_order 			: 	"cmapi.member.receive",
		/*快速购物*/
		fast_buy 					: 	"cmapi.tools.addcartbn",
		/* 评价订单 */
        insert_review_order		:	"cmapi.member.insert_review_order",
		/* 登陆日志 */
        login_log				:	"cmapi.member.login_log",
		/* 购物车删除 */
        delete_cart				:	"cmapi.order.delete_cart",
		/* 验证重置验证码*/
		reset_verify_vcode		: "cmapi.member.reset_verify_vcode",
		/* 发送重置验证码 */
		reset_send_vcode	 : "cmapi.member.reset_send_vcode",
		/*更改用户手机号*/
		change_mobile	 : "cmapi.member.change_mobile",
		/* 我要反馈*/
		save_feedback	 : "cmapi.member.save_feedback",
		/* 检测是否反馈过*/
		check_feedback	 : "cmapi.member.check_feedback",
		/* 反馈列表 */
		feedback_list	 : "cmapi.member.feedback_list",
		/* 用户评价 */
		member_evaluate	: "cmapi.member.member_evaluate",
		/* 反馈图片 */
		feedback_image   : "cmapi.member.feedback_image"
	},
	params:{  //写死的参数
		index_topsales_tag_id	: 	1, //首页销售冠军的tag_id
		index_mustbuy_tag_id	:	1, //首页进店必BUY的tag_id
		index_isLikes_tag_id	:   1 //首页进店必BUY的tag_id
	},
	validate:{
		mobileNo:function(mobile){
			return !!mobile && (/^1[3-9][0-9]{9}$/.test(mobile) || /^03[0-9]{9}$/.test(mobile));
		},
		smsCode:function(smsCode){
			return !!smsCode && /^[0-9]{6}$/.test(smsCode);
		},
		password:function(password){
			return !!password && /^.{6,}$/.test(password);
		}
	},
	tips:{
		error_link					: lang[lang.lang].error_link,
		error_api					: lang[lang.lang].error_api,
		error_param 				: '系统参数异常',
		check_mobile 				: lang[lang.lang].check_mobile,
		reg_check_password			: lang[lang.lang].reg_check_password,
		check_sms_code				: lang[lang.lang].check_sms_code,
		reg_not_equal_pass			: lang[lang.lang].reg_not_equal_pass,
		reg_isread					: lang[lang.lang].reg_isread,
		login_username				: lang[lang.lang].login_username,
		pay_password				: lang[lang.lang].pay_password,
		re_pay_password				: lang[lang.lang].re_pay_password,
		real_name                   : lang[lang.lang].real_name,
		id_card                     : lang[lang.lang].id_card,
		pay_password_4				: lang[lang.lang].pay_password_4,
		pay_password_not			: lang[lang.lang].pay_password_not,
		login_username_err 			: lang[lang.lang].login_username_err,
		login_password				: lang[lang.lang].login_password,
		addr_username				: lang[lang.lang].addr_username,
		addr_mobile					: lang[lang.lang].addr_mobile,
		addr_area 					: lang[lang.lang].addr_area,
        addr_city                   : lang[lang.lang].addr_city,
		addr_addr 					: lang[lang.lang].addr_addr,
        zip                         : lang[lang.lang].zip,
		addr_store_id 				: lang[lang.lang].addr_store_id,
		reg_mobile_null				: lang[lang.lang].reg_mobile_null,
		reg_check_repassword		: lang[lang.lang].reg_check_repassword,
		index_max_num 				: lang[lang.lang].index_max_num,
		order_empty					: lang[lang.lang].order_empty,
		confirm_order_del_coupon 	: lang[lang.lang].confirm_order_del_coupon,
		confirm_order_no_addr 		: lang[lang.lang].confirm_order_no_addr,
		limit_nums 					: lang[lang.lang].limit_nums,
		my_message_save				: lang[lang.lang].my_message_save,
		my_message_change 			: lang[lang.lang].my_message_change,
		account_balance_1			: lang[lang.lang].account_balance_1,
		loading 					: lang[lang.lang].loading,
		coupon_suc_msg 				: lang[lang.lang].coupon_suc_msg,
		product_no_num 				: lang[lang.lang].product_no_num,
		cart_empty 					: lang[lang.lang].cart_empty,
		days 						: lang[lang.lang].days,
		currency 					: lang[lang.lang].currency,
        out_store                   : lang[lang.lang].out_store,
        search_for                  : lang[lang.lang].search_for,
        phone                  		: lang[lang.lang].phone,
        tuijian                  	: lang[lang.lang].tuijian,
        jujia                 	 	: lang[lang.lang].jujia,
        jiadian                 	: lang[lang.lang].jiadian,
        zhineng                 	: lang[lang.lang].zhineng,
        sign                 		: lang[lang.lang].sign,
        wuliu                 		: lang[lang.lang].wuliu,
        xitong                 		: lang[lang.lang].xitong,
        kefu                 		: lang[lang.lang].kefu,
        haoyou                 		: lang[lang.lang].haoyou,
        qingkong                 	: lang[lang.lang].qingkong,
        quanbu                 		: lang[lang.lang].quanbu,
        shouru                 		: lang[lang.lang].shouru,
        zhichu                 		: lang[lang.lang].zhichu,
        qingkongshoucang       		: lang[lang.lang].qingkongshoucang,
        delshoucang                 : lang[lang.lang].delshoucang,
        quxiaoshoucang              : lang[lang.lang].quxiaoshoucang,
        piaotaitou        	        : lang[lang.lang].piaotaitou,
        dianhua           		    : lang[lang.lang].dianhua,
        dizhi             		    : lang[lang.lang].dizhi,
        nasuiren           		    : lang[lang.lang].nasuiren,
        kaihuhang         	        : lang[lang.lang].kaihuhang,
        zhanghao      		        : lang[lang.lang].zhanghao,
        deldizhi       		        : lang[lang.lang].deldizhi,
        tiandizhi    	            : lang[lang.lang].tiandizhi,
        peisong      		        : lang[lang.lang].peisong,
        liyou         		        : lang[lang.lang].liyou,
        leixing       		        : lang[lang.lang].leixing,
        shouhou         	        : lang[lang.lang].shouhou,
        xieyi           		    : lang[lang.lang].xieyi,
        chengong        	        : lang[lang.lang].chengong,
        fapiao            		    : lang[lang.lang].fapiao,
        xinxi              			: lang[lang.lang].xinxi,
        delfapiao          		    : lang[lang.lang].delfapiao,
        qianbao              		: lang[lang.lang].qianbao,
        queding           		    : lang[lang.lang].queding,
        tijiao            	 	    : lang[lang.lang].tijiao,
        yinhangka                   : lang[lang.lang].yinhangka,
        shouchi            		    : lang[lang.lang].shouchi,
        fanmian              	    : lang[lang.lang].fanmian,
        zhengmian           	    : lang[lang.lang].zhengmian,
        chongxin                    : lang[lang.lang].chongxin,
        shezhi             		    : lang[lang.lang].shezhi,
        mima             		    : lang[lang.lang].mima,
        jine              			: lang[lang.lang].jine,
        saomiao						: lang[lang.lang].saomiao,
		quxiao						: lang[lang.lang].quxiao,
		liulanqi					: lang[lang.lang].liulanqi,
		tishi						: lang[lang.lang].tishi,
		dakai						: lang[lang.lang].dakai,
		queding1					: lang[lang.lang].queding1,
		kong						: lang[lang.lang].kong,
		queding2					: lang[lang.lang].queding2,
		logout					    : lang[lang.lang].logout,
	},




    browser : {
        versions: function() {
            var u = navigator.userAgent, app = navigator.appVersion;
            return {//移动终端浏览器版本信息
                trident: u.indexOf('Trident') > -1, //IE内核
                presto: u.indexOf('Presto') > -1, //opera内核
                webKit: u.indexOf('AppleWebKit') > -1, //苹果、谷歌内核
                gecko: u.indexOf('Gecko') > -1 && u.indexOf('KHTML') == -1, //火狐内核
                mobile: !!u.match(/AppleWebKit.*Mobile.*/) || !!u.match(/AppleWebKit/), //是否为移动终端
                ios: !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/), //ios终端
                android: u.indexOf('Android') > -1 || u.indexOf('Linux') > -1, //android终端或者uc浏览器
                iPhone: u.indexOf('iPhone') > -1 || u.indexOf('Mac') > -1, //是否为iPhone或者QQHD浏览器
                iPad: u.indexOf('iPad') > -1, //是否iPad
                webApp: u.indexOf('Safari') == -1 //是否web应该程序，没有头部与底部
            };
        }(),
        language: (navigator.browserLanguage || navigator.language).toLowerCase()
    }
});

try{
    app = $.extend(app,config_all);
}catch(e){
    app = $.extend(app,config_iphone4);
}
