app_angular.register.controller('allCtrl',function($scope,$rootScope,$location,$interval,httpLoading,$timeout,$window,$state){
    $scope.cate_list = [];
    var $s=$scope;
    $s.m={};
    var m=$s.m;

    m.navList=[app.tips.tuijian,app.tips.phone,app.tips.jujia,app.tips.jiadian,app.tips.zhineng,app.tips.tuijian,app.tips.phone,app.tips.jujia,app.tips.jiadian,app.tips.zhineng,app.tips.tuijian,app.tips.phone,app.tips.jujia,app.tips.jiadian,app.tips.zhineng];
    m.navList=m.navList.map(function(value,key,arr){
        return {
            name:value
        };
    });
    m.navList[0].current=true;
    $scope.goGoods = function (list) {
        $location.path('/product').search({goods_id: list.goods_id,product_id:list.product_id});
    };
    if (!sessionStorage.getItem('addCartNum')) {
        $scope.addCartNum = 0;
    }
    $scope.addCart = function(item, event) {
		var member_id   = localStorage.getItem("member_id");
        if(!member_id){
            app.toast('请先登录');
            $location.path('/login');
        }else{
            var cart_message = {
                'goods_id':item.goods_id,
                'product_id':item.product_id,
                'num':1,
                'member_id':member_id
            };

            httpLoading.interFace(app.interface_url, "add_product_to_cart", cart_message).then(function(interface_data) {
                var data = app.filter_interface(interface_data);
                if (data.status == "succ") {
                    httpLoading.interFace(app.interface_url, "get_cart_init").then(function(interface_data) {
                        var data = app.filter_interface(interface_data);
                        if (data.status == "succ") {
                            $rootScope.cart_nums = data.response.cart_total || app.get_fn_cart_total(data.response.object.goods);
                            //接口不返回自己算
                            sessionStorage.setItem("cart_nums", $rootScope.cart_nums);
                        }
                    }, function(error) {});
                    $s.buy_close();
                    event.stopPropagation();
                    var offset = $(".pageIndex .icon-gouwuche").offset();
                    var flyer = $('<div style="width: 1.5rem;height: 1.5rem;border-radius: 50%;background: #2595df;z-index: 100;"></div>'); //抛物体对象
                    flyer.fly({
                        start: {
                            left: event.pageX,//抛物体起点横坐标
                            top: event.pageY //抛物体起点纵坐标
                        },
                        end: {
                            left: offset.left + 10,//抛物体终点横坐标
                            top: offset.top + 10, //抛物体终点纵坐标
                        },
                        onEnd: function() {
                            this.destroy(); //销毁抛物体
                        }
                    });
                    $rootScope.addCartNum = $scope.addCartNum = $scope.addCartNum+1;
                    sessionStorage.setItem('addCartNum', $rootScope.addCartNum);
                } else {
                    if(data.message == '请重新登录'){
                        $scope.logout();return;
                    }
                    app.jump_border.hide("confirm_buy");
                    app.toast(data.message);
                }
            }, function(error) {});
        }    };
    $scope.countTime = $interval(function () {
        var date = new Date();
        var now = date.getTime();
        var endTime = $scope.limit_end_time;
        var endDate = new Date(endTime*1000);//设置截止时间
        var end = endDate.getTime();
        var leftTime = end - now; //时间差
        var d, h, m, s, ms;
        if(leftTime >= 0) {
            h = Math.floor(leftTime / 1000 / 60 / 60);
            m = Math.floor(leftTime / 1000 / 60 % 60);
            s = Math.floor(leftTime / 1000 % 60);
            ms = Math.floor(leftTime % 1000);
            if(ms < 100) {
                ms = "0" + ms;
            }
            if(s < 10) {
                s = "0" + s;
            }
            if(m < 10) {
                m = "0" + m;
            }
            if(h < 10) {
                h = "0" + h;
            }
        } else {
            $interval.cancel($scope.countTime);
        }
        var strTime= String(h)+String(m)+String(s) || '';
        for(var key in strTime){
            $scope._h1 = strTime[0];
            $scope._h2 = strTime[1];
            $scope._m1 = strTime[2];
            $scope._m2 = strTime[3];
            $scope._s1 = strTime[4];
            $scope._s2 = strTime[5];
        }
    },1000);
    $scope.buy_close = function() {
        m.animate = false;
        $timeout(function() {
            m.buy = false;
        }, 250);
    };
    $s.showAllCat=function(){
        if(!m.allCat){m.allCat='show';}
        else if(m.allCat=='show'){m.allCat='hide';}

        if(m.allCat=='hide'){
            $timeout(function(){
                m.allCat='';
            },100);
        }

    };

    $scope.reloadRoute = function () {
        $window.location.reload();
    };


    $scope.get_index_category = function(){
        function pack1(i){
            var  pack2 = function(){
                return i;
            };
            return pack2;
        }
        var params = {is_index:'index'};
        httpLoading.interFace(app.interface_url,'get_goods_category',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                for(var i in data.response)~function(){
                    var cate_index = {};
                    cate_index.cat_name = data.response[i].cat_name;
                    cate_index.cat_id   = data.response[i].cat_id;
                    cate_index.cat_list = {};
                    $scope.cate_list[i] = cate_index;
                    var n1 = new pack1(i);
                    var cate_params = {pages:1,cat_id:cate_index.cat_id,is_index:'index'};
                    httpLoading.interFace(app.interface_url,'get_goods_gallery',cate_params).then(function(interface_data){
                        var i = n1();
                        var data = app.filter_interface(interface_data);
                        if(data.status == "succ"){
                            $scope.cate_list[i].cat_list = data.response.goods_list || [];
                        }else{
                            //app.toast(data.message);
                        }
                    },function(error){});
                }();
            }else{
            }
        },function(error){});
    };

    //  缓存处理
    $scope.set_cache = function(){
        app.set_cache("all_carousel_list",$scope.carousel_list);
        app.set_cache("all_ad_list",$scope.ad_list);
        app.set_cache("all_topsales",$scope.topsales);
        app.set_cache("all_topsales2",$scope.topsales2);
        app.set_cache("all_topsales3",$scope.topsales2);
        app.set_cache("all_scrollTop",document.body.scrollTop);
    };
    $scope.get_cache = function(){
        $scope.carousel_list    = app.get_cache("all_carousel_list");
        $scope.ad_list          = app.get_cache("all_ad_list");
        $scope.topsales         = app.get_cache("all_topsales");
        $scope.topsales2        = app.get_cache("all_topsales2");
        $scope.topsales3        = app.get_cache("all_topsales3");
        setTimeout(function(){
            document.body.scrollTop = app.get_cache('all_scrollTop');
            app.set_cache("all_scrollTop",0);
        },500);
    };

    $scope.go_cate=function(cat_id){
        $location.path('/category').search({cat_id:cat_id})
    };
    $scope.get_index_catgoods=function(){
        httpLoading.interFace(app.interface_url,'get_index_goods').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.index_data1 = data.response.data1;
                $scope.index_data2 = data.response.data2;
                $scope.index_data3 = data.response.data3;
                $scope.index_data4 = data.response.data4;
                $scope.index_data5 = data.response.data5;
                $scope.index_data6 = data.response.data6;
                $scope.index_data7 = data.response.data7;
                $scope.index_data8 = data.response.data8;
                $scope.index_data9 = data.response.data9;
            }else{
            }
        },function(error){});
    };


    $scope.get_index_biaoqian=function(){
        httpLoading.interFace(app.interface_url,'get_index_biaoqian').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.biao1 = data.response[0];
                $scope.biao2 = data.response[1];
                $scope.biao3 = data.response[2];
                $scope.biao4 = data.response[3];
                $scope.biao5 = data.response[4];
            }
        },function(error){});
    };

    $scope.index_banner = function(){
        httpLoading.interFace(app.interface_url,'shouyebanner').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.img = data.response;
                setTimeout(function(){
                    new Swiper('.main-container', {
                        pagination: '.swiper-pagination',
                        autoplay: 2500,
                    });
                },20);
            }else{
            }
        },function(error){});
    };
    $scope.index_banner();


    $scope.init = function(){
        $scope.carousel_list = [];
        $scope.ad_list = [];
        $scope.get_index_catgoods();
        $scope.get_index_biaoqian();
        /*广告*/
        httpLoading.interFace(app.interface_url,'get_goods_category_index').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.goods_list = data.response;
                $scope.limit_end_time = $scope.goods_list.end_time;
                $scope.goods_list_data = data.response.info;
                setTimeout(function(){
                    new Swiper('.swiper-container-item', {
                        paginationClickable: true,
                        autoplay: 0,
                        loop: false,
                        lazyLoading: true,
                        slidesPerView : 'auto',
                        loopedSlides :5,
                        prevButton:'.swiper-button-prev',
                        nextButton:'.swiper-button-next',
                    });
                },20);
            }else{
            }
        },function(error){});
    };
    $scope.$on('$locationChangeStart',function(event,next,current){ //准备离开页面
        $scope.set_cache();
    });
    //  缓存处理结束

    $scope.pageClass="allpage";
    $scope.pic_ctx = app.pic_ctx;
    $rootScope.currency = app.tips.currency; //货币符号
    $rootScope.lang = lang.lang;             //语言
    $scope.fixed_number = app.fixed_number;
    var member_id = localStorage.getItem("member_id");
    if(!app.isNull(member_id)){
        httpLoading.interFace(app.interface_url,'get_cart_total').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $rootScope.addCartNum =  data.response.cart_total;
                sessionStorage.setItem("cart_nums",$rootScope.addCartNum);
            }else{
            }
        },function(error){});
    }
    if(sessionStorage.getItem("all_carousel_list") == void 0){
        $scope.init();
    }else{
        $scope.init();
    }
    $scope.go_top = function(){
        document.body.scrollTop = 0;
    };
    $scope.go_search = function(){
        $location.path("/search");
    };
    $scope.go_top();

    $scope.touchMove= function(event){
        event.preventDefault();
        event.stopPropagation();
    };
    $scope.addclick= function(){

        // jq('.close_ad').click(function(){
        $('.adpic').hide();
        // });
        localStorage.setItem("Popups",'true');
        }
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
        $rootScope.Popups = localStorage.getItem("Popups"); 
        setTimeout(function(){   //版本更新
            if($rootScope.version === void 0){
               
            }
        },2000);
        $(window).scroll(function(){
            var scrollTop = $(window).scrollTop();
            if(scrollTop > 100){
                $("#top").show();
            }else{
                $("#top").hide();
            }
            if(scrollTop>150){
                $(".menu").addClass('stay_top');
            }else{
                $(".menu").removeClass('stay_top');
            }
        });
        if (!localStorage.getItem("Popups")) {
            setInterval($scope.addclick,3000);
        }
        
      

    };


    let u = navigator.userAgent;
    let isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;   //判断是否是 android终端
    let isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/);     //判断是否是 iOS终端

    var xhr = new XMLHttpRequest();
    xhr.onreadystatechange = function () {
        if (xhr.readyState == 4) {
            if (xhr.status >= 200 && xhr.status < 300 || xhr.status == 304) {
                var info_app = JSON.parse(xhr.responseText);
                if (isAndroid == true) {
                    // if (app.version_android > info_app.info.android) {
                    //     console.log('android版本需要更新');
                    //     alert('android版本需要更新');
                        // window.location.href = 'http://wx.zgh.cn/DownloadApp/downloadios.html'
                    // } 
                }
                if (isIOS == true) {
                    if (app.version_ios < info_app.info.ios) {
                        console.log('ios版本需要更新');
                        alert('ios版本需要更新');
                        window.location.href = 'itms-apps://itunes.apple.com/app/id1136186235'
                        // window.location.href = 'https://a.app.qq.com/o/simple.jsp?pkgname=com.evian.zhengguanghe'
                        
                    } 
                }
            }
        }
    };
    // 每次需要发请求需要做两步：
    xhr.open("get", app.version_url, true);
    xhr.send(null);

    //自动更新开始
document.addEventListener('deviceready', function () {
    var chcp = window.chcp;
    // 检测更新
    chcp.fetchUpdate(function (error, data) {

                if(!error) {
                    // alert("有更新");
                    chcp.installUpdate(function(error) {
                       // alert("更新完成");
                    })
                }
                // else {
                //     alert("当前是最新版本");
                // }
      if (error) {
        console.log('--更新版本异常，或其他错误--', error.code, error.description);
        if (error.code === -2) {
          var dialogMessage = '有新的版本是否下载';
          //调用升级提示框 点击确认会跳转对应商店升级
          chcp.requestApplicationUpdate(dialogMessage, null, null);
        }
      }
      // 服务器版本信息
      console.log('--更新的版本信息--', data);

      // 版本信息
      chcp.getVersionInfo(function(error, data) {
        console.log('服务器应用时间版本: ' + data.readyToInstallWebVersion);

        console.log('当前应用时间版本： ' + data.currentWebVersion);

        console.log('当前应用version name: ' + data.appVersion);

      });

    });
  });
    //end自动更新结束
    $scope.logout = function() {
        var params  = {'member_id':localStorage.getItem('member_id')};
        httpLoading.interFace(app.interface_url,'login_logout',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
        },function(error){});
        $scope.uname = localStorage.uname;
        sessionStorage.clear();
        localStorage.removeItem("member_id");
        // localStorage.removeItem("uname");
        localStorage.clear();
        localStorage.setItem("uname",$scope.uname);
        $location.path("/login");
    };

    $scope.load();
});
