app_angular.register.controller('editAddrsCtrl',function($scope,$rootScope,$location,$routeParams,httpLoading,$state){
    $scope.pageId = 6;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);
    $scope.pageClass    = "editAddrs";
    $scope.member_id    = localStorage.getItem("member_id");
    var addr_id         = $location.search().addr_id;
    $rootScope.default_addr = $rootScope.default_addr ? $rootScope.default_addr : {}; 
    $scope.show_addr    =  function(){
        $scope.prev_page = sessionStorage.getItem("page_name");
        sessionStorage.removeItem("page_name");
        if($scope.prev_page == null || $scope.prev_page != "select_region"){
           var params={"addr_id":addr_id,"member_id":$scope.member_id};
           httpLoading.interFace(app.interface_url,'get_member_addr',params).then(function(interface_data){
               var data = app.filter_interface(interface_data);
               if(data.status == "succ"){
                   $rootScope.default_addr = data.response;
                   $rootScope.default_addr.filter_ship_area = app.filter_area($rootScope.default_addr.ship_area);
               }else{
                   app.toast(data.message);
               }     
            },function(error){});
        }
    };

    var is_fastbuy = $location.search();
    if (is_fastbuy.is_fastbuy) {
        $scope.is_fastbuy = is_fastbuy.is_fastbuy;
    }
    if(is_fastbuy.type == 'gift'){
        $scope.giftype = is_fastbuy.type;
        $scope.sorce = is_fastbuy.sorce;
    }
    $scope.select_region=function(){
        // location="#/select_region?from=editAddrs&addr_id="+addr_id
         if($scope.giftype && $scope.sorce){
            $location.path("/select_region").search({
                from:"editAddrs",
                addr_id:addr_id,
                is_fastbuy:$scope.is_fastbuy,
                sorce:$scope.sorce,
                type:$scope.giftype,
            });
         }else{
            $location.path("/select_region").search({
                from:"editAddrs",
                addr_id:addr_id,
                is_fastbuy:$scope.is_fastbuy,
            });
         }

    };
    $scope.save_addrs=function(target){
        if($scope.prev_page == "select_region"){
            if($rootScope.default_addr.region){
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$scope.default_addr.region_id;
            }else{
                $rootScope.default_addr.ship_area = "mainland:"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
            }
        }
        var obj = {
            "member_id"       :  $scope.member_id
        };
        obj = $.extend({},$rootScope.default_addr,obj);
        if(app.isNull($rootScope.default_addr.ship_name)){
            app.toast(app.tips.addr_username);
            return false;
        }else if(!app.validate.mobileNo($rootScope.default_addr.ship_mobile)){
            app.toast(app.tips.addr_mobile);
            return false;
        }
        if($rootScope.default_addr.ship_addr == null || $rootScope.default_addr.ship_addr==""){
            app.toast(app.tips.addr_addr);
            return false;
        }else if($rootScope.default_addr.ship_area == null || $rootScope.default_addr.ship_area==""){
            app.toast(app.tips.addr_area);
            return false;
        }else if($rootScope.default_addr.ship_num == null || $rootScope.default_addr.ship_num==""){
            app.toast('弄,号必填');
            return false;
        }else if($rootScope.default_addr.ship_road == null || $rootScope.default_addr.ship_road==""){
            app.toast('路名必填');
            return false;
        }
        httpLoading.interFace(app.interface_url,'save_member_addr',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                if($scope.is_fastbuy){
                    if($scope.giftype && $scope.sorce){
                        $location.path("/address").search({
                         is_fastbuy:$scope.is_fastbuy,
                         sorce:$scope.sorce,
                         type:$scope.giftype,
                        });  
                    }else{
                        $location.path("/address").search({
                        is_fastbuy:$scope.is_fastbuy,
                        });   
                    }
                }else{
                    location="#/address";
                }
            }else{
                app.toast(data.message);
            }   
        },function(error){});
    };
    $scope.load = function(){
        app.handle_page_css($scope.pageClass);
        $scope.show_addr();
        app.getFontSize();
    };
    $scope.load();
});