app_angular.register.controller('loginCtrl',function($scope,$rootScope,$ionicHistory,$http,$location,httpLoading,$timeout,$ionicScrollDelegate,$state){
    $rootScope.currency = app.tips.currency; //货币符号
    
    // $scope.username = null;
    $scope.password = null;

	var $s = $scope;
    $s.m = {};
    var m = $s.m;
    m.username = localStorage.getItem("uname");

    $s.back=function(){
        // 登录后跳页面可能会用的的参数-------
        // var backView = $ionicHistory.backView()
        // -----------------------
        $ionicHistory.goBack();
    };
    $timeout(function() {
        m.windowWidth = jq(window).width();
        m.pagination = jq(".pagination").width() / 2;
        m.constant = m.pagination / m.windowWidth;
        m.swiper_login = new Swiper(".swiper_login", {
            autoHeight:true,
            onSlideChangeStart:function(swiper) {
                $timeout(function() {
                    m.activeIndex = swiper.activeIndex;
                }, 0);
            },
            onTouchStart:function(swiper, even) {
                m.duration = 0;
            },
            onTouchEnd:function(swiper, even) {
                m.duration = 0.3;
            },
            onTouchMove:function(swiper, event) {
                $timeout(function() {
                    m.trans = -swiper.translate * m.constant;
                    if (m.trans < 0) {
                        m.trans = 0;
                    } else if (m.trans > m.pagination) {
                        m.trans = m.pagination;
                    }
                }, 0);
            },
            onTransitionStart:function(swiper) {
                $timeout(function() {
                    m.trans = swiper.activeIndex * m.pagination;
                }, 0);
            }
        });
    }, 20);

    $s.tab_click = function(Index) {
        m.swiper_login.slideTo(Index);
    };
    $scope.send_v_code=function(){
        if($scope.m.username  == null){
            app.toast(app.tips.reg_mobile_null);
            return false;
        }
        $rootScope.mobile_phone = $scope.m.username;

        httpLoading.interFace(app.interface_url,'sms_send_msg',{mobile_phone:$scope.m.username,lang:$scope.lang}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){

            }else{
                app.toast(data.message);
            }
        },function(error){});
    };

    $scope.login_log = function(){
        var params  = {'member_id':localStorage.getItem('member_id'),'status':'0'};
        httpLoading.interFace(app.interface_url,'login_log',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){

            }else{
                app.toast(data.message);
            }
        },function(error){});
    }

    $scope.myKeyup = function(e){
        var keycode = window.event?e.keyCode:e.which;
        if(keycode==13){
            $scope.loginSubmit();
        }
    };
    $scope.loginSubmit = function(){
        if(m.username == null){
            app.toast(app.tips.login_username);
        }else if(m.password == null){
            app.toast(app.tips.login_password);
        }else{
            var user_message = {"username":m.username,"password":m.password};
            httpLoading.interFace(app.interface_url,'pam_passport_login',user_message).then(function(interface_data){
                var data = app.filter_interface(interface_data);
                if(data.status == "succ"){
                    localStorage.setItem("member_id",data.response.member_id);
                    localStorage.setItem("Password",m.password);
                    localStorage.setItem("levelname",data.response.levelname);
                    localStorage.setItem("uname",data.response.uname);
                    sessionStorage.setItem("accesstoken",data.response.accesstoken);
                    var login_redirect = sessionStorage.getItem("login_url");
                    // $scope.login_log();
                    if(app.isNull(login_redirect)){
                        location="#/all";
                    }else if( login_redirect == '/login'){
                        location="#/member";
                    }else{
                        history.replaceState("login","title");        //history.state 的值 存为 login
                        location.replace("#"+login_redirect);
                    }
                }else{
                    app.toast(data.message);
                }
            },function(error){});
        }
    };
    $scope.xs = 1;
    $scope.pass = function(){
        if($scope.xs == 1){
            $scope.xs = 2;
        }else{
            $scope.xs = 1;
        }

    }
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
    $scope.load();
    $(function(){
         //个人信息
         $('.login .con p').click(function(){
          window.location.href="#/forget_phone";
         });
       });
});
