app_angular.register.controller('my_addAddrsCtrl',function($scope,$routeParams,$ionicScrollDelegate,$rootScope,$location,httpLoading,$state){
    var $s = $scope;
    $s.m = {};
    var m = $s.m;
    $scope.pageId = 3;
    $rootScope.currency = app.tips.currency; //货币符号
    $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    app.oldPageLeftOrRight($scope.pageClass);

    $scope.member_id = localStorage.getItem("member_id");
    $rootScope.default_addr = $rootScope.default_addr ? $rootScope.default_addr : {}; 
    var is_fastbuy = $location.search();
    $scope.select_region=function(){
        if(is_fastbuy.nopay == 'nopay'){
           location="#/select_region?from=my_addAddrs&nopay=nopay";
        }else{
            location="#/select_region?from=my_addAddrs";
        }
    };
    $scope.save_addrs=function(target){
        $scope.prev_page = sessionStorage.getItem("page_name");
         sessionStorage.removeItem("page_name");
        if($scope.prev_page == "select_region"){
                if($rootScope.default_addr.region){
                    $rootScope.default_addr.ship_area  = "mainland:"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+"/"+$rootScope.default_addr.region+":"+$rootScope.default_addr.region_id;
                }else{
                    $rootScope.default_addr.ship_area  = "mainland:"+$rootScope.default_addr.province+"/"+$rootScope.default_addr.city+":"+$rootScope.default_addr.city_id;
                }
            }
        var obj = {
            "member_id"       :  $scope.member_id
        };
        obj = $.extend({},$rootScope.default_addr,obj);
        if(app.isNull($rootScope.default_addr.ship_name)){
            app.toast(app.tips.addr_username);
            return false;
        }else if(!app.validate.mobileNo($rootScope.default_addr.ship_mobile)){
            app.toast(app.tips.addr_mobile);
            return false;
        }
        if($rootScope.default_addr.ship_addr == null || $rootScope.default_addr.ship_addr == ""){
            // app.toast(app.tips.addr_addr);
            // return false;
        }else if($rootScope.default_addr.ship_area == null || $rootScope.default_addr.ship_area==""){
            app.toast(app.tips.addr_area);
            return false;
        }
        httpLoading.interFace(app.interface_url,'save_member_addr',obj).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                if(is_fastbuy.nopay == 'nopay'){
                    $location.path("/buywater");
                }else{
                    location="#/my_address";
                }
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    var u = navigator.userAgent;
    var isiOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
    document.ontouchstart = function(){
        $('input').blur()
    }
    $scope.inputFocus = function(e){
        if(isiOS){
            $ionicScrollDelegate.scrollTo(0,0);
            setTimeout(function(){
                $ionicScrollDelegate.scrollTo(0,e.target.parentElement.offsetTop);
            },500)
        }
    }
    $scope.inputBlur = function(){
        if(isiOS){
            setTimeout(function(){
                $ionicScrollDelegate.scrollTo(0,0);
            },500)
        }
    }
    $scope.is_default = function() {
        if ($s.default_addr.is_default == "true") {
            $s.default_addr.is_default = "false";
        } else {
            $s.default_addr.is_default = "true";
        }
    };
    $scope.load = function(){
        app.handle_page_css($scope.pageClass);
        app.getFontSize();
    };
    $s.load();
});