app_angular.register.controller('my_messageCtrl',function($scope,$rootScope,$location,httpLoading,$state,$timeout){
    $scope.member_id    = localStorage.getItem("member_id");

    var $s = $scope;
    $s.m = {};
    var m = $s.m;

    $scope.save_user = function(){
        var params = {
            member_id:$scope.member_id,
            nickname:$scope.m.nickname,
            mobile:$scope.m.mobile,
        };
        httpLoading.interFace(app.interface_url,'save_member_info',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                location="#/member";
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };

    httpLoading.interFace(app.interface_url,'get_user_phone').then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.mobile = data.response.login_account;
        }else{
            app.toast('没有手机号');
            location="#/member";
        }
    },function(error){});


    $scope.send_vcode = function(mobile){
        httpLoading.interFace(app.interface_url,'reset_send_vcode',{'mobile':mobile}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                app.toast(data.message)
            }else{
                app.toast(data.message);
            }
        },function(error){});
    }

    $scope.check_vcode = function(mobile,vcode,new_mobile,new_vcode)
    {
        var params ;
        params = {
            'mobile':mobile,
            'vcode':vcode,
            'new_mobile':new_mobile,
            'new_vcode':new_vcode,
        };

        httpLoading.interFace(app.interface_url,'reset_verify_vcode',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){

                httpLoading.interFace(app.interface_url,'change_mobile',{'mobile':new_mobile}).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        app.toast(data.message+',密码发到你的手机，请重新登陆')
                        sessionStorage.clear();
                        localStorage.removeItem("member_id");
                        localStorage.removeItem("uname");
                        $location.path("/");
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});
            }else{
                app.toast(data.message);
            }
        },function(error){});
    }


    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };


    $scope.load();
});