app_angular.register.controller('nowPayCtrl',function($scope,$rootScope,$location,httpLoading,$state,$timeout){
    setTimeout(function () {
        var swiper = new Swiper('.swiper-container',{
            pagination:'.swiper-pagination',
            paginationClickable:true,
            slidesPerView:3,
            spaceBetween:30,
            freeMode:true    //free模式开启
        });
    },1000);
    var member_id = localStorage.getItem("member_id");
    if(!app.isNull(member_id)){
        httpLoading.interFace(app.interface_url,'get_cart_total').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $rootScope.addCartNum =  data.response.cart_total;
                sessionStorage.setItem("cart_nums",data.response.cart_tota);
            }else{
                //app.toast(data.message);
            }
        },function(error){});
    }

    httpLoading.interFace(app.interface_url,'goods_order_list').then(function(interface_data){
        var data = app.filter_interface(interface_data);
        if(data.status == "succ"){
            $scope.list = data.response;
        }else{
            if(data.message == '请重新登录'){
                $scope.logout();return;
            }
            app.toast(data.message);
        }
    },function(error){});

    $scope.gobuy = null;
    $scope.go_buy = function(go_buy,type){
        go_buy.quantity = 1;
        var pams = go_buy;
        $scope.gobuy = pams;
        $scope.type = type;
    };


    $scope.sub_product = function(product,index){
        if(product.quantity <= 1){
            app.toast('已经是最小值');
        }else{
            params.num=--product.quantity;
        }
    };

    $scope.cart_num_change = function(quantity){

    };

    $scope.add_product = function(product){
        var oldNum=angular.copy(product.quantity);
    };


    $scope.clecl = function(){
        $scope.gobuy = null;
    };

    $scope.is_buy = function(data){
        if(!data){
            app.toast('请选择商品');
        }else{
            if($scope.type == '1'){
                var gobuygoods = {
                    goods_id:data.goods_id,
                    product_id   :data.product_id,
                    member_id    :localStorage.getItem("member_id"),
                    quantity     :data.quantity,
                    name         :data.name,
                    s_url        :data.s_url,
                    dzj          :data.dzj,
                    price        :data.price,
                    nopay        :'nopay'
                };
                var last = JSON.stringify(gobuygoods);
                sessionStorage.setItem("kjgw", last);
                $location.path("/buywater");
            }else{
                $scope.cart_message =
                {
                    goods_id:data.goods_id,
                    product_id   :data.product_id,
                    member_id    :localStorage.getItem("member_id"),
                    num          : data.quantity,
                    name         :data.name,
                    s_url        :data.s_url
                };
                httpLoading.interFace(app.interface_url, "get_cart_is_fastbuy", $scope.cart_message).then(function(interface_data) {
                    var data = app.filter_interface(interface_data);
                    if (data.status == "succ") {
                        $location.path("/confirmOrder").search({
                            is_fastbuy:"is_fastbuy"
                        });
                    } else {
                        app.toast(data.message);
                    }
                }, function(error) {});
            }
        }
    };

    $scope.logout = function() {
        var params  = {'member_id':localStorage.getItem('member_id')};
        httpLoading.interFace(app.interface_url,'login_logout',params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
        },function(error){});
        $scope.uname = localStorage.uname;
        sessionStorage.clear();
        localStorage.removeItem("member_id");
        // localStorage.removeItem("uname");
        localStorage.clear();
        localStorage.setItem("uname",$scope.uname);
        $location.path("/login");
    };


    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
});
