app_angular.register.controller('ordersCtrl',function($scope,$rootScope,$http,$location,$window,httpLoading,$routeParams,$state,$timeout,$ionicHistory,$ionicScrollDelegate){

    var $s = $scope;
    $s.m = {};
    var m = $s.m;
    $s.back=function(){
        $ionicHistory.goBack();
    };
    $s.showALL=function(order){
        order.showALL=true;
        $ionicScrollDelegate.resize();
    };
// -----------------------------------------------------------------------------------------------
    //  缓存处理 
    // $scope.set_cache = function() {
    //     app.set_cache("orders_orders", $scope.orders);
    //     app.set_cache("orders_status", $scope.status);
    //     app.set_cache("orders_params", $scope.params);
    //     app.set_cache("orders_scrollTop", document.body.scrollTop);
    // };
    // $scope.get_cache = function() {
    //     $scope.orders = app.get_cache("orders_orders");
    //     $scope.status = app.get_cache("orders_status");
    //     $scope.params = app.get_cache("orders_params");
    //     setTimeout(function() {
    //         document.body.scrollTop = app.get_cache("orders_scrollTop");
    //         app.set_cache("orders_scrollTop", 0);
    //     }, 500);
    // };
    $s.moreDataCanBeLoaded=function(){
        if($scope.params.page>=m.page_total){
            return false;
        }
        else{
            return true;
        }
    }


    $scope.init = function(){
        $scope.orders = [];
        $scope.status =$state.params.orders_type?$state.params.orders_type.substring(1):'all';
        $scope.params = {page:1,pagelimit:10,member_id:member_id,status:$scope.status};
        httpLoading.interFace(app.interface_url,'get_member_order',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.orders = data.response.orderData;
                m.page_total=data.response.pager_total;
                $timeout(function(){
                    var width=jq("."+$scope.status+" span").outerWidth();
                    var offsetLeft=jq("."+$scope.status+" span").offset().left;
                    jq(".tabBar").css({"transform":"translateX("+offsetLeft+"px)","width":width});
                    jq(".tabBar").show();
                },400);
                $ionicScrollDelegate.resize();
            }else{
                app.toast(data.message);
            }
        },function(error){});
        httpLoading.interFace(app.interface_url,'get_member_contact').then(function(interface_data){
            var data = app.filter_interface(interface_data);
            $scope.contact = data.response;
        },function(error){});
    };
    $scope.$on('$locationChangeStart',function(event,next,current){ //准备离开页面
        // $scope.set_cache();
    });

    $scope.pageId = 2;
    $rootScope.currency = app.tips.currency; //货币符号
    // $scope.pageClass = app.currentPageLeftOrRight($scope.pageId);
    // app.oldPageLeftOrRight($scope.pageClass);
    //$scope.pageClass="orders";

    var member_id   = localStorage.getItem("member_id");
    if(app.isNull(member_id)){$location.path("/login"); return false;}
    $scope.fixed_number = app.fixed_number;

    $scope.loadMore = function(){
        $scope.params.page++;
        httpLoading.interFace(app.interface_url,'get_member_order',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                if(data.response.orderData != void 0){
                    $scope.orders = $scope.orders.concat(data.response.orderData);
                    m.page_total=data.response.pager_total;
                    $scope.$broadcast('scroll.infiniteScrollComplete');
                }
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.goDetail = function(currentTarget){
        $location.path("/order_detail").search({
            order_id:currentTarget.order_id
        }); 
    };
    $scope.go_pay = function(order_id,total){
        $location.path("/pay_order").search({
            order_id:order_id,
            total: total
        }); 
    };
    $scope.cancel_order = function(order_id){
        // event.preventDefault();
        // event.stopPropagation();
        order_id = order_id;
        // var index = $(currentTarget).data("index");
        httpLoading.interFace(app.interface_url,'cancel_order',{"order_id":order_id}).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.orders[index].status = 'dead';
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.user_finish_order = function(order_id){
        // event.preventDefault();
        // event.stopPropagation();
        // var order_id = $(currentTarget).data("order-id");
        // var index = $(currentTarget).data("index");
        app.confirm(app.tips.queding,{
            cancel:function(){
                return false;
            },
            confirm:function(){
                httpLoading.interFace(app.interface_url,'user_finish_order',{"order_id":order_id}).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        // $scope.orders[index].status = 'finish';
                        app.toast('确认收货成功');
                         $window.location.reload();
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});
            }
        });
    };


    $scope.sele_status = function(status,event){
        $timeout(function(){
            jq(".tabBar").css({"transform":"translateX("+event.currentTarget.children[0].offsetLeft+"px)","width":event.currentTarget.children[0].offsetWidth});
        },0);
        $scope.status = status;
        $scope.params.page = 1;
        document.body.scrollTop = 0;
        var params = {orderby:"DESC",status:$scope.status};
        $scope.params = $.extend({},$scope.params,params);
        httpLoading.interFace(app.interface_url,'get_member_order',$scope.params).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                $scope.orders = data.response.orderData;
                m.page_total=data.response.page_total;
                $ionicScrollDelegate.resize();
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };
    $scope.go_goods = function(a,b,c){
        $location.path("/"+c).search({
            goods_id: a,
            product_id: b
        }); 
    };
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
        $scope.init();
    };


    $scope.gofk = function(order){
        var order_id = order.order_id
        $location.path("/orderfakui").search({
            order_id:order.order_id,
        }); 
    }

    $scope.gofkxu = function(order){
        app.confirm(app.tips.queding2,{
            cancel:function(){
                return false;
            },
            confirm:function(){
                httpLoading.interFace(app.interface_url,'cancel_order',{"order_id":order.order_id}).then(function(interface_data){
                    var data = app.filter_interface(interface_data);
                    if(data.status == "succ"){
                        app.toast('取消成功');
                        $window.location.reload();
                    }else{
                        app.toast(data.message);
                    }
                },function(error){});
            }
        });
    }



    $scope.gopinj = function(order){
        $location.path("/customer_service_order").search({
            order_id:order.order_id,
        }); 
    }

});
