app_angular.register.controller('registerCtrl',function($scope,$http,$location,$rootScope,httpLoading,$ionicHistory,$state,$interval){
   
    $scope.mobile = null;
    $scope.isread   = true;  
    if(localStorage.member_id){
        app.confirm(app.tips.logout,{
            cancel:function(){
                
            },
            confirm:function(){
                location.href   =   "#/all";
            }
        });
    }
    var $s = $scope;
    $s.m = {};
    var m = $s.m;
    m.send = false;
    m.send_text = "获取验证码";
    $s.back=function(){
        $ionicHistory.goBack(-1);
    };
    $scope.do_register=function(){
        $scope.mobile_phone = jq('#mobile_phone').val();
        $scope.vcode = jq('#vcode').val();
        $scope.password = jq('#password').val();
        $scope.confirm_password = jq('#confirm_password').val();

        if(!app.validate.password($scope.password)){
            app.toast(app.tips.reg_check_password);
            return false;
        }else if($scope.password == null){
            app.toast(app.tips.reg_check_repassword);
            return false;
        }else if($scope.password != $scope.confirm_password){
            app.toast(app.tips.reg_not_equal_pass);
            return false;
        }
        $scope.isread = $scope.isread ? 'true': 'false';
        var reg_message = {mobile_phone:$scope.mobile_phone,vcode:$scope.vcode,password:$scope.password,confirm_password:$scope.confirm_password};
        localStorage.setItem("md5Password",$.md5($scope.password));
        httpLoading.interFace(app.interface_url,'create_member_info',reg_message).then(function(interface_data){
            var data = app.filter_interface(interface_data);
            if(data.status == "succ"){
                        localStorage.setItem("member_id",data.response.member_id);
                        localStorage.setItem("Password",$scope.password); 
                        sessionStorage.setItem("member_lv_id",data.response.member_lv_id);
                        localStorage.setItem("uname",data.response.uname);
                        sessionStorage.setItem("accesstoken",data.response.accesstoken);
                        sessionStorage.setItem("cart_nums",data.response.cart_total);
                        sessionStorage.setItem("cur",data.response.cur);
                        localStorage.setItem("levelname",data.response.levelname);
                        var login_redirect = sessionStorage.getItem("login_redirect");
                        location.href   =   "#/member";
            }else{
                app.toast(data.message);
            }
        },function(error){});
    };

    $scope.number_check=function(){
        var myreg = /^[1][1-9][0-9]{9}$/;
        if (!myreg.test($scope.mobile_phone)) {
            app.toast("请输入正确的手机号");
            return false;
        }
        m.send = true;
        m.count_down = 120;
        m.send_text = "重新获取";
        var timer = $interval(function() {
            m.count_down--;
        }, 1e3, 120).then(function(re) {
            $interval.cancel(timer);
            m.count_down = "";
            m.send = false;
        });
        httpLoading.interFace(app.interface_url, "sms_send_msg", {
            mobile_phone:$scope.mobile_phone
        }).then(function(interface_data) {
            var data = app.filter_interface(interface_data);
            console.log(data);
            if (data.status == "succ") {
                app.toast(data.message);
            } else {
                app.toast(data.message);
            }
        }, function(error) {});
        // $scope.mobile_phone = jq("#mobile_phone").val();
        // if($scope.mobile_phone  == null){
        //     app.toast(app.tips.reg_mobile_null);
        //     return false;
        // }
        // $rootScope.mobile_phone = $scope.mobile_phone;
        // httpLoading.interFace(app.interface_url,'sms_send_msg',{mobile_phone:$scope.mobile_phone}).then(function(interface_data){
        //     var data = app.filter_interface(interface_data);
        //     if(data.status == "succ"){

        //     }else{
        //         app.toast(data.message);
        //     }
        // },function(error){});
    };



    $scope.change_agree=function(){
        if($scope.isread){
            $scope.isread=false;
        }else{
            $scope.isread=true;
        }
    };
    $scope.title = app.title;
    $scope.load = function(){
        app.handle_page_css();
        app.getFontSize();
    };
    $scope.load();
});