app_angular.factory('myInterceptor', function($location) {  //拦截器
    var requestInterceptor = {
        request: function(config) {
            var requireLogin = sessionStorage.getItem("requireLogin");
            //var member_id    = sessionStorage.getItem("member_id");
            var member_id    = localStorage.getItem("member_id");
            if(app.isNull(requireLogin) || (requireLogin == 'true' && app.isNull(member_id))){
                var login_redirect = location.href.split("#")[1];
                sessionStorage.setItem("login_redirect",login_redirect);
            }
            return config;
        }
    };
    return requestInterceptor;
});
app_angular.factory('timestampMarker', ["$rootScope", function () {
    var timestampMarker = {
        request: function (config) {
            config.requestTimestamp = new Date().getTime();
            return config;
        },
        response: function (response) {
            response.config.responseTimestamp = new Date().getTime();
            return response;
        }
    };
    return timestampMarker;
}]);
app_angular.factory('httpLoading',['$q','$http',function($q,$http){
    return {
        interFace:function(url,interFaceName,obj){
            var deferred    = $q.defer();
            var promise     = deferred.promise;
            var data        = app[interFaceName](obj);
            app.remote_result(data);
            $http.post(url,app.post_data)
            .success(function(interface_data){
                if(app.isNull(interface_data) || !(interface_data instanceof Object)){ //如果服务器挂了 或者返回数据格式不对
                    app.toast(app.tips.error_api);
                    interface_data = null;
                }else if(interface_data.rsp != "succ"){   //数据没有成功
                    app.toast(interface_data.res);
                    interface_data = null;
                }
                deferred.resolve(interface_data);
            })
            .error(function(error){
                app.toast(app.tips.error_link);
                deferred.reject(error);
            });
            return promise;
        }
    }
}]);

window.addEventListener("popstate",function(){"login"!=history.state&&"boot"!=history.state&&app.set_history_back()},!1);
